API vv1.75.1-beta.0 Total operations: 1590 GET: 896 | POST: 308 | PUT: 261 | DELETE: 125

Operation

Path Parameters

Request Parameters

Response Parameters

OAuth Scopes

POST /administered/assistant/chat/completions
Create a synchronous AI assistant chat completion for user-wide threads (BETA)
> createAdministeredAssistantChatCompletion
`` content, country, data, language, mediaType, platform, query, source, text, threadId, type content, messageId, response, sources, status, tag, threadId dashboard:general:telemetry:write
GET /administered/assistant/chat/threads
List all active user-wide conversation threads for the authenticated user. (BETA)
> getAdministeredAssistantChatThreads
perPage, sort, sortOrder, from, to `` counts, dateModified, items, meta, remaining, tag, threadId, threadName, total dashboard:general:telemetry:read
POST /administered/assistant/chat/threads
Create a user-wide conversation thread for multi-turn AI assistant interactions. (BETA)
> createAdministeredAssistantChatThread
`` threadName threadId dashboard:general:telemetry:write
GET /administered/assistant/chat/threads/{threadId}
Return a single user-wide conversation thread. (BETA)
> getAdministeredAssistantChatThread
threadId `` dateModified, tag, threadId, threadName dashboard:general:telemetry:read
PUT /administered/assistant/chat/threads/{threadId}
Update the name of a user-wide conversation thread. (BETA)
> updateAdministeredAssistantChatThread
threadId threadName `` dashboard:general:telemetry:write
DELETE /administered/assistant/chat/threads/{threadId}
Delete a user-wide conversation thread and all its messages. (BETA)
> deleteAdministeredAssistantChatThread
threadId `` `` dashboard:general:telemetry:write
GET /administered/assistant/chat/threads/{threadId}/messages
List messages in a user-wide conversation thread. (BETA)
> getAdministeredAssistantChatThreadMessages
threadId, perPage, sortOrder `` comment, content, counts, feedback, followUps, format, items, messageId, meta, reason, remaining, sender, sources, tag, timestamp, total, vote dashboard:general:telemetry:read
POST /administered/assistant/chat/threads/{threadId}/messages
Create a new chat message in an existing user-wide thread. (BETA)
> createAdministeredAssistantChatThreadMessage
threadId content, data, mediaType, platform, source, text, type messageId, runId, threadId dashboard:general:telemetry:write
GET /administered/assistant/chat/threads/{threadId}/messages/{messageId}
Return a single message in a user-wide conversation thread. (BETA)
> getAdministeredAssistantChatThreadMessage
threadId, messageId `` comment, content, feedback, followUps, format, messageId, reason, sender, sources, tag, timestamp, vote dashboard:general:telemetry:read
GET /administered/identities/me
Returns the identity of the current user.
> getAdministeredIdentitiesMe
`` `` api, authentication, created, email, enabled, key, lastUsedDashboardAt, mode, name, saml, twoFactor ``
GET /administered/identities/me/api/keys
List the non-sensitive metadata associated with the API keys that belong to the user
> getAdministeredIdentitiesMeApiKeys
`` `` createdAt, suffix ``
POST /administered/identities/me/api/keys/generate
Generates an API key for an identity
> generateAdministeredIdentitiesMeApiKeys
`` `` key ``
POST /administered/identities/me/api/keys/{suffix}/revoke
Revokes an identity's API key, using the last four characters of the key
> revokeAdministeredIdentitiesMeApiKeys
suffix `` `` ``
GET /administered/licensing/subscription/entitlements
Retrieve the list of purchasable entitlements
> getAdministeredLicensingSubscriptionEntitlements
skus, subscriptionType `` featureTier, isAddOn, isFree, name, productClass, productType, sku dashboard:licensing:config:read
POST /administered/licensing/subscription/networks/featureTiers/batchUpdate
Batch change networks to their desired feature tier for specified product types
> batchAdministeredLicensingSubscriptionNetworksFeatureTiersUpdate
`` featureTier, id, isAtomic, items, network, productType, productTypes error, errors, featureTier, id, items, network, productType, productTypes dashboard:licensing:config:write
GET /administered/licensing/subscription/subscriptions
List available subscriptions
> getAdministeredLicensingSubscriptionSubscriptions
perPage, startingAfter, endingBefore, subscriptionIds, organizationIds, statuses, productTypes, skus, name, startDate, endDate `` account, assigned, available, counts, description, domain, endDate, enterpriseAgreement, entitlements, id, lastUpdatedAt, limit, name, networks, organizations, productTypes, renewalRequested, seats, sku, smartAccount, startDate, status, subscriptionId, suites, type, webOrderId dashboard:licensing:config:read
POST /administered/licensing/subscription/subscriptions/claim
Claim a subscription into an organization.
> claimAdministeredLicensingSubscriptionSubscriptions
validate claimKey, description, name, organizationId account, assigned, available, counts, description, domain, endDate, enterpriseAgreement, entitlements, id, lastUpdatedAt, limit, name, networks, organizations, productTypes, renewalRequested, seats, sku, smartAccount, startDate, status, subscriptionId, suites, type, webOrderId dashboard:licensing:config:write
POST /administered/licensing/subscription/subscriptions/claimKey/validate
Find a subscription by claim key
> validateAdministeredLicensingSubscriptionSubscriptionsClaimKey
`` claimKey account, assigned, available, counts, description, domain, endDate, enterpriseAgreement, entitlements, id, lastUpdatedAt, limit, name, networks, organizations, productTypes, renewalRequested, seats, sku, smartAccount, startDate, status, subscriptionId, suites, type, webOrderId dashboard:licensing:config:write
GET /administered/licensing/subscription/subscriptions/compliance/statuses
Get compliance status for requested subscriptions
> getAdministeredLicensingSubscriptionSubscriptionsComplianceStatuses
organizationIds, subscriptionIds `` byProductClass, entitlements, gracePeriodEndsAt, id, missing, name, productClass, quantity, sku, status, subscription, violations dashboard:licensing:config:read
POST /administered/licensing/subscription/subscriptions/{subscriptionId}/bind
Bind networks to a subscription
> bindAdministeredLicensingSubscriptionSubscription
subscriptionId, validate networkIds errors, id, insufficientEntitlements, name, networks, quantity, sku, subscriptionId dashboard:licensing:config:write
POST /administered/organizations/permissions/resolve
Resolve the authenticated caller admin's permissions across multiple organizations (BETA)
> resolveAdministeredOrganizationsPermissions
`` endingBefore, organizationIds, perPage, startingAfter action, controller, counts, id, items, meta, name, organizationId, remaining, resource, total, type dashboard:iam:config:read
GET /administered/search/live
List the appropriate results for a given global search utilizing live_search_react (BETA)
> getAdministeredSearchLive
query, organizationId, networkId `` deviceList, deviceType, externalLink, itemId, keywords, label, list ``
GET /devices/{serial}
Return a single device
> getDevice
serial `` address, beaconIdParams, details, firmware, floorPlanId, lanIp, lat, lng, mac, major, minor, model, name, networkId, notes, serial, tags, url, uuid, value dashboard:general:config:read
PUT /devices/{serial}
Update the attributes of a device
> updateDevice
serial address, floorPlanId, lat, lng, moveMapMarker, name, notes, switchProfileId, tags address, beaconIdParams, details, firmware, floorPlanId, lanIp, lat, lng, mac, major, minor, model, name, networkId, notes, serial, tags, url, uuid, value dashboard:general:config:write
GET /devices/{serial}/appliance/dhcp/subnets
Return the DHCP subnet information for an appliance
> getDeviceApplianceDhcpSubnets
serial `` freeCount, subnet, usedCount, vlanId sdwan:telemetry:read
POST /devices/{serial}/appliance/interfaces/ports/update
Update configurations for an appliance's specified port
> createDeviceApplianceInterfacesPortsUpdate
serial access, allowedVlans, downlink, duplex, enabled, id, interface, l3Subtype, layer, mode, nativeVlan, number, personality, policy, profile, sgt, slot, speed, subslot, trunk, type, uplink, vlan access, allowedVlans, downlink, enabled, id, interface, isFlexible, l3Subtype, layer, mode, name, nativeVlan, number, personality, policy, primary, profile, sgt, slot, subslot, trunk, type, uplink, vlan ``
PUT /devices/{serial}/appliance/interfaces/ports/{number}
Update configurations for an appliance's specified port
> updateDeviceApplianceInterfacesPort
serial, number access, allowedVlans, downlink, duplex, enabled, id, l3Subtype, layer, mode, nativeVlan, personality, policy, profile, sgt, speed, trunk, type, uplink, vlan access, allowedVlans, downlink, enabled, id, interface, isFlexible, l3Subtype, layer, mode, name, nativeVlan, number, personality, policy, primary, profile, sgt, slot, subslot, trunk, type, uplink, vlan ``
GET /devices/{serial}/appliance/performance
Return the performance score for a single Secure Appliance or Secure Router
> getDeviceAppliancePerformance
serial, t0, t1, timespan `` perfScore sdwan:telemetry:read
GET /devices/{serial}/appliance/prefixes/delegated
Return current delegated IPv6 prefixes on an appliance.
> getDeviceAppliancePrefixesDelegated
serial `` assigned, available, counts, description, expiresAt, interface, isPreferred, method, origin, prefix, staticDelegatedPrefixId sdwan:telemetry:read
GET /devices/{serial}/appliance/prefixes/delegated/vlanAssignments
Return prefixes assigned to all IPv6 enabled VLANs on an appliance.
> getDeviceAppliancePrefixesDelegatedVlanAssignments
serial `` address, id, interface, ipv6, linkLocal, name, origin, prefix, solicitedNodeMulticast, status, vlan sdwan:telemetry:read
GET /devices/{serial}/appliance/radio/settings
Return the radio settings of an appliance
> getDeviceApplianceRadioSettings
serial `` channel, channelWidth, fiveGhzSettings, rfProfileId, serial, targetPower, twoFourGhzSettings sdwan:config:read
PUT /devices/{serial}/appliance/radio/settings
Update the radio settings of an appliance
> updateDeviceApplianceRadioSettings
serial channel, channelWidth, fiveGhzSettings, rfProfileId, targetPower, twoFourGhzSettings channel, channelWidth, fiveGhzSettings, rfProfileId, serial, targetPower, twoFourGhzSettings sdwan:config:write
GET /devices/{serial}/appliance/uplinks/settings
Return the uplink settings for a secure router or security appliance
> getDeviceApplianceUplinksSettings
serial `` address, addresses, assignmentMode, authentication, borderRelay, draft, eaBitLength, enabled, entries, gateway, interfaceId, interfaces, ipv4, ipv6, isp, length, local, map, mode, name, nameservers, peerSgtCapable, pppoe, prefix, psIdOffset, rules, sgt, source, svis, transition, username, vlanId, vlanTagging, wan1, wan2 sdwan:config:read
PUT /devices/{serial}/appliance/uplinks/settings
Update the uplink settings for a secure router or security appliance
> updateDeviceApplianceUplinksSettings
serial address, addresses, assignmentMode, authentication, borderRelay, draft, eaBitLength, enabled, entries, gateway, interfaceId, interfaces, ipv4, ipv6, isp, length, local, map, mode, name, nameservers, password, peerSgtCapable, pppoe, prefix, psIdOffset, rules, sgt, source, svis, transition, username, vlanId, vlanTagging, wan1, wan2 address, addresses, assignmentMode, authentication, borderRelay, draft, eaBitLength, enabled, entries, gateway, interfaceId, interfaces, ipv4, ipv6, isp, length, local, map, mode, name, nameservers, peerSgtCapable, pppoe, prefix, psIdOffset, rules, sgt, source, svis, transition, username, vlanId, vlanTagging, wan1, wan2 sdwan:config:write
POST /devices/{serial}/appliance/vmx/authenticationToken
Generate a new vMX authentication token
> createDeviceApplianceVmxAuthenticationToken
serial `` expiresAt, token sdwan:config:write
POST /devices/{serial}/blinkLeds
Blink the LEDs on a device (DEPRECATED)
> blinkDeviceLeds
serial duration, duty, period duration, duty, period dashboard:general:config:write
GET /devices/{serial}/camera/analytics/live
Returns live state from camera analytics zones (DEPRECATED)
> getDeviceCameraAnalyticsLive
serial `` person, ts, zoneId, zones ``
GET /devices/{serial}/camera/analytics/overview
Returns an overview of aggregate analytics data for a timespan (DEPRECATED)
> getDeviceCameraAnalyticsOverview
serial, t0, t1, timespan, objectType `` averageCount, endTs, entrances, startTs, zoneId ``
GET /devices/{serial}/camera/analytics/recent
Returns most recent record for analytics zones (DEPRECATED)
> getDeviceCameraAnalyticsRecent
serial, objectType `` averageCount, endTs, entrances, startTs, zoneId ``
GET /devices/{serial}/camera/analytics/zones
Returns all configured analytic zones for this camera (DEPRECATED)
> getDeviceCameraAnalyticsZones
serial `` id, label, regionOfInterest, type, x0, x1, y0, y1 camera:config:read
GET /devices/{serial}/camera/analytics/zones/{zoneId}/history
Return historical records for analytic zones (DEPRECATED)
> getDeviceCameraAnalyticsZoneHistory
serial, zoneId, t0, t1, timespan, resolution, objectType `` averageCount, endTs, entrances, startTs ``
GET /devices/{serial}/camera/clip
Generate a video clip of up to 5 minutes long.
> clipDeviceCamera
serial, startTimestamp, endTimestamp, imagerId `` expiry, url camera:telemetry:write
GET /devices/{serial}/camera/customAnalytics
Return custom analytics settings for a camera
> getDeviceCameraCustomAnalytics
serial `` artifactId, enabled, name, parameters, value camera:config:read
PUT /devices/{serial}/camera/customAnalytics
Update custom analytics settings for a camera
> updateDeviceCameraCustomAnalytics
serial artifactId, enabled, name, parameters, value artifactId, enabled, name, parameters, value camera:config:write
POST /devices/{serial}/camera/generateSnapshot
Generate a snapshot of what the camera sees at the specified time and return a link to that image.
> generateDeviceCameraSnapshot
serial fullframe, timestamp expiry, url camera:telemetry:write
GET /devices/{serial}/camera/qualityAndRetention
Returns quality and retention settings for the given camera
> getDeviceCameraQualityAndRetention
serial `` audioRecordingEnabled, motionBasedRetentionEnabled, motionDetectorVersion, profileId, quality, resolution, restrictedBandwidthModeEnabled camera:config:read
PUT /devices/{serial}/camera/qualityAndRetention
Update quality and retention settings for the given camera
> updateDeviceCameraQualityAndRetention
serial audioRecordingEnabled, motionBasedRetentionEnabled, motionDetectorVersion, profileId, quality, resolution, restrictedBandwidthModeEnabled audioRecordingEnabled, motionBasedRetentionEnabled, motionDetectorVersion, profileId, quality, resolution, restrictedBandwidthModeEnabled camera:config:write
GET /devices/{serial}/camera/sense
Returns sense settings for a given camera
> getDeviceCameraSense
serial `` audioDetection, detectionModelId, enabled, mqttBrokerId, mqttTopics, senseEnabled camera:config:read
PUT /devices/{serial}/camera/sense
Update sense settings for the given camera
> updateDeviceCameraSense
serial audioDetection, detectionModelId, enabled, mqttBrokerId, senseEnabled audioDetection, detectionModelId, enabled, mqttBrokerId, mqttTopics, senseEnabled camera:config:write
GET /devices/{serial}/camera/sense/objectDetectionModels
Returns the MV Sense object detection model list for the given camera
> getDeviceCameraSenseObjectDetectionModels
serial `` description, id camera:config:read
GET /devices/{serial}/camera/video/settings
Returns video settings for the given camera
> getDeviceCameraVideoSettings
serial `` externalRtspEnabled, rtspUrl camera:config:read
PUT /devices/{serial}/camera/video/settings
Update video settings for the given camera
> updateDeviceCameraVideoSettings
serial externalRtspEnabled externalRtspEnabled, rtspUrl camera:config:write
GET /devices/{serial}/camera/videoLink
Returns video link to the specified camera
> getDeviceCameraVideoLink
serial, timestamp `` url, visionUrl camera:config:read
GET /devices/{serial}/camera/wirelessProfiles
Returns wireless profile assigned to the given camera
> getDeviceCameraWirelessProfiles
serial `` backup, ids, primary, secondary camera:config:read
PUT /devices/{serial}/camera/wirelessProfiles
Assign wireless profiles to the given camera
> updateDeviceCameraWirelessProfiles
serial backup, ids, primary, secondary backup, ids, primary, secondary camera:config:write
PUT /devices/{serial}/cellular/geolocations
Update the enablement of the geolocation feature for a device
> updateDeviceCellularGeolocations
serial enabled enabled ``
GET /devices/{serial}/cellular/sims
Return the SIM and APN configurations for a cellular device.
> getDeviceCellularSims
serial `` allowedIpTypes, apns, authentication, enabled, iccid, imsi, ips, isPrimary, msisdn, name, password, simFailover, simOrdering, sims, slot, status, timeout, translation, type, username sdwan:config:read
PUT /devices/{serial}/cellular/sims
Updates the SIM and APN configurations for a cellular device.
> updateDeviceCellularSims
serial allowedIpTypes, apns, authentication, enabled, isPrimary, name, password, simFailover, simOrder, simOrdering, sims, slot, timeout, type, username allowedIpTypes, apns, authentication, enabled, iccid, imsi, ips, isPrimary, msisdn, name, password, simFailover, simOrdering, sims, slot, status, timeout, translation, type, username sdwan:config:write
POST /devices/{serial}/cellular/uplinks/bands/masks/update
Update the cellular band masks for a device
> createDeviceCellularUplinksBandsMasksUpdate
serial masked, slot, type bySignalType, bySlot, enabled, masked, slot, supported, type ``
GET /devices/{serial}/cellularGateway/lan
Show the LAN Settings of a MG
> getDeviceCellularGatewayLan
serial `` comment, deviceLanIp, deviceName, deviceSubnet, end, fixedIpAssignments, ip, mac, name, reservedIpRanges, start sdwan:config:read
PUT /devices/{serial}/cellularGateway/lan
Update the LAN Settings for a single MG.
> updateDeviceCellularGatewayLan
serial comment, end, fixedIpAssignments, ip, mac, name, reservedIpRanges, start comment, deviceLanIp, deviceName, deviceSubnet, end, fixedIpAssignments, ip, mac, name, reservedIpRanges, start sdwan:config:write
GET /devices/{serial}/cellularGateway/portForwardingRules
Returns the port forwarding rules for a single MG.
> getDeviceCellularGatewayPortForwardingRules
serial `` access, allowedIps, lanIp, localPort, name, protocol, publicPort, rules sdwan:config:read
PUT /devices/{serial}/cellularGateway/portForwardingRules
Updates the port forwarding rules for a single MG.
> updateDeviceCellularGatewayPortForwardingRules
serial access, allowedIps, lanIp, localPort, name, protocol, publicPort, rules access, allowedIps, lanIp, localPort, name, protocol, publicPort, rules sdwan:config:write
POST /devices/{serial}/certificates/{certificateSerial}/revoke
Revoke a device certificate (BETA)
> revokeDeviceCertificate
serial, certificateSerial reason certificate, feature, id, message, result, serial, type dashboard:iam:config:write
GET /devices/{serial}/clients
List the clients of a device, up to a maximum of a month ago
> getDeviceClients
serial, t0, timespan `` adaptivePolicyGroup, description, dhcpHostname, id, ip, mac, mdnsName, namedVlan, recv, sent, switchport, usage, user, vlan dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/aclHitCount
Enqueue a job to perform an ACL hit count for the device (BETA)
> createDeviceLiveToolsAclHitCount
serial callback, httpServer, id, payloadTemplate, sharedSecret, url aclHitCountId, callback, id, request, serial, status, url dashboard:general:telemetry:write
GET /devices/{serial}/liveTools/aclHitCount/{id}
Return an ACL hit count live tool job. (BETA)
> getDeviceLiveToolsAclHitCount
serial, id `` aclHitCountId, acls, address, counts, destination, error, ipProtocol, ipVersion, ipv4, ipv6, number, objectGroup, operator, policy, port, ports, request, serial, source, status, total, type, url dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/arpTable
Enqueue a job to perform a ARP table request for the device
> createDeviceLiveToolsArpTable
serial address, callback, httpServer, id, ip, payloadTemplate, sharedSecret, url address, arpTableId, callback, id, ip, request, serial, status, url dashboard:general:telemetry:write
GET /devices/{serial}/liveTools/arpTable/{arpTableId}
Return an ARP table live tool job.
> getDeviceLiveToolsArpTable
serial, arpTableId `` address, arpTableId, entries, error, interface, ip, lastUpdatedAt, mac, name, request, serial, status, url, vlanId, vrf dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/cableTest
Enqueue a job to perform a cable test for the device on the specified ports
> createDeviceLiveToolsCableTest
serial callback, httpServer, id, payloadTemplate, ports, sharedSecret, url cableTestId, callback, id, ports, request, serial, status, url dashboard:general:config:write
GET /devices/{serial}/liveTools/cableTest/{id}
Return a cable test live tool job.
> getDeviceLiveToolsCableTest
serial, id `` cableTestId, error, index, lengthMeters, pairs, port, ports, request, results, serial, speedMbps, status, url dashboard:general:config:read
GET /devices/{serial}/liveTools/clients/disconnect/{id}
Return a client disconnect job. (BETA)
> getDeviceLiveToolsClientsDisconnect
serial, id `` error, id, mac, request, results, serial, status, success, url wireless:config:read
POST /devices/{serial}/liveTools/dhcpLeases
Enqueue a job to perform a DHCP leases request for the device (BETA)
> createDeviceLiveToolsDhcpLease
serial callback, httpServer, id, payloadTemplate, sharedSecret, url callback, dhcpLeasesId, id, request, serial, status, url dashboard:general:telemetry:write
GET /devices/{serial}/liveTools/dhcpLeases/{dhcpLeasesId}
Return a DHCP leases live tool job. (BETA)
> getDeviceLiveToolsDhcpLease
serial, dhcpLeasesId `` dhcpLeases, dhcpLeasesId, error, expiresAt, ip, mac, request, serial, status, url dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/leds/blink
Enqueue a job to blink LEDs on a device
> createDeviceLiveToolsLedsBlink
serial callback, duration, httpServer, id, payloadTemplate, sharedSecret, url callback, duration, error, id, ledsBlinkId, request, serial, status, url dashboard:general:config:write
GET /devices/{serial}/liveTools/leds/blink/{ledsBlinkId}
Return a blink LEDs job
> getDeviceLiveToolsLedsBlink
serial, ledsBlinkId `` duration, error, ledsBlinkId, request, serial, status, url dashboard:general:config:read
POST /devices/{serial}/liveTools/macTable
Enqueue a job to request the MAC table from the device
> createDeviceLiveToolsMacTable
serial callback, httpServer, id, mac, payloadTemplate, sharedSecret, url callback, id, mac, macTableId, request, serial, status, url dashboard:general:telemetry:write
GET /devices/{serial}/liveTools/macTable/{macTableId}
Return a MAC table live tool job.
> getDeviceLiveToolsMacTable
serial, macTableId `` entries, error, mac, macTableId, port, request, serial, status, url, vlanId dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/multicastRouting
Enqueue a job to perform a Multicast routing request for the device
> createDeviceLiveToolsMulticastRouting
serial callback, httpServer, id, payloadTemplate, sharedSecret, url callback, id, multicastRoutingId, request, serial, status, url dashboard:general:telemetry:write
GET /devices/{serial}/liveTools/multicastRouting/{multicastRoutingId}
Return a Multicast routing live tool job.
> getDeviceLiveToolsMulticastRouting
serial, multicastRoutingId `` error, flags, group, incomingInterfaceName, interfaces, ip, ipVersion, multicastRoutingId, name, neighbors, outgoingInterfaceNames, rendezvousPoint, request, routes, serial, source, status, subnet, url, vrf, vrfType dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/ospfNeighbors
Enqueue a job to perform a OSPF neighbors request for the device (BETA)
> createDeviceLiveToolsOspfNeighbor
serial callback, httpServer, id, payloadTemplate, sharedSecret, url callback, id, ospfNeighborsId, request, serial, status, url dashboard:general:telemetry:write
GET /devices/{serial}/liveTools/ospfNeighbors/{ospfNeighborsId}
Return an OSPF neighbors live tool job. (BETA)
> getDeviceLiveToolsOspfNeighbor
serial, ospfNeighborsId `` error, id, interfaceName, ip, name, ospfNeighborsId, position, request, routers, serial, state, status, url, vlanId dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/ping
Enqueue a job to ping a target host from the device
> createDeviceLiveToolsPing
serial callback, count, httpServer, id, payloadTemplate, sharedSecret, target, url callback, count, id, pingId, request, serial, status, target, url dashboard:general:telemetry:write
GET /devices/{serial}/liveTools/ping/{id}
Return a ping job
> getDeviceLiveToolsPing
serial, id `` average, count, latencies, latency, loss, maximum, minimum, percentage, pingId, received, replies, request, results, sent, sequenceId, serial, size, status, target, url dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/pingDevice
Enqueue a job to check connectivity status to the device
> createDeviceLiveToolsPingDevice
serial callback, count, httpServer, id, payloadTemplate, sharedSecret, url callback, count, id, pingId, request, serial, status, url dashboard:general:telemetry:write
GET /devices/{serial}/liveTools/pingDevice/{id}
Return a ping device job
> getDeviceLiveToolsPingDevice
serial, id `` average, callback, count, id, latencies, latency, loss, maximum, minimum, percentage, pingId, received, replies, request, results, sent, sequenceId, serial, size, status, url dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/ports/cycle
Enqueue a job to perform a cycle port for the device on the specified ports
> createDeviceLiveToolsPortsCycle
serial callback, httpServer, id, payloadTemplate, ports, sharedSecret, url callback, cyclePortId, id, ports, request, serial, status, url dashboard:general:config:write
GET /devices/{serial}/liveTools/ports/cycle/{id}
Return a cycle port live tool job.
> getDeviceLiveToolsPortsCycle
serial, id `` cyclePortId, error, ports, request, serial, status, url dashboard:general:config:read
POST /devices/{serial}/liveTools/ports/status
Enqueue a job to retrieve port status for a device
> createDeviceLiveToolsPortsStatus
serial callback, httpServer, id, payloadTemplate, sharedSecret, url callback, id, jobId, request, serial, status, url dashboard:general:telemetry:write
GET /devices/{serial}/liveTools/ports/status/{jobId}
Return a port status live tool job.
> getDeviceLiveToolsPortsStatus
serial, jobId `` duplex, enabled, errors, interface, isDrawing, jobId, name, number, portId, power, request, results, serial, slot, speed, status, subslot, url dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/power/usage
Enqueues a live tool job that retrieves details about a device's overall power usage
> createDeviceLiveToolsPowerUsage
serial callback, httpServer, id, payloadTemplate, sharedSecret, url callback, id, jobId, request, serial, status, url dashboard:general:telemetry:write
GET /devices/{serial}/liveTools/power/usage/{jobId}
Retrieve the status and results of a previously created live tool job fetching details about a device's overall power usage.
> getDeviceLiveToolsPowerUsage
serial, jobId `` budget, errors, instant, jobId, peak, request, results, serial, status, url dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/reboot
Enqueue a job to reboot a device (BETA)
> createDeviceLiveToolsReboot
serial callback, httpServer, id, payloadTemplate, sharedSecret, url callback, error, id, rebootId, request, serial, status, url dashboard:general:config:write
GET /devices/{serial}/liveTools/reboot/{rebootId}
Return a reboot job (BETA)
> getDeviceLiveToolsReboot
serial, rebootId `` error, rebootId, request, serial, status, url dashboard:general:config:read
POST /devices/{serial}/liveTools/route/details
Enqueue a live tool job to fetch route details from a device. (BETA)
> createDeviceLiveToolsRouteDetail
serial address, callback, destination, httpServer, id, name, nextHop, payloadTemplate, sharedSecret, subnet, type, url, vrf address, callback, destination, id, jobId, name, nextHop, request, serial, status, subnet, type, url, vrf sdwan:telemetry:write
GET /devices/{serial}/liveTools/route/details/{jobId}
Return a route details live tool job for a device. (BETA)
> getDeviceLiveToolsRouteDetail
serial, jobId `` address, autonomousSystem, bgp, communities, destination, errors, extended, isActive, jobId, localPreference, metrics, multiExitDiscriminator, name, nextHop, path, request, results, serial, status, subnet, type, url, vrf, weight sdwan:telemetry:read
POST /devices/{serial}/liveTools/routingTable
Enqueue a job to perform a routing table request for the device (BETA)
> createDeviceLiveToolsRoutingTable
serial callback, cidr, destination, httpServer, id, payloadTemplate, sharedSecret, url callback, cidr, destination, id, request, routingTableId, serial, status, url dashboard:general:telemetry:write
POST /devices/{serial}/liveTools/routingTable/lookups
Enqueue a job to perform a routing table lookup request for a device
> createDeviceLiveToolsRoutingTableLookup
serial address, callback, destination, httpServer, id, names, nextHop, payloadTemplate, peer, sharedSecret, subnet, type, url, vpn, vrf address, callback, destination, id, lookupId, names, nextHop, peer, request, serial, status, subnet, type, url, vpn, vrf sdwan:telemetry:write
GET /devices/{serial}/liveTools/routingTable/lookups/{id}
Return a routing table live tool lookup job for a device
> getDeviceLiveToolsRoutingTableLookup
serial, id `` address, destination, entries, errors, id, ipVersion, lookupId, name, names, nextHop, nextHops, number, peer, request, serial, status, subnet, type, url, vlan, vpn, vrf sdwan:telemetry:read
POST /devices/{serial}/liveTools/routingTable/summaries
Enqueue a routing table summary job for a device
> createDeviceLiveToolsRoutingTableSummary
serial callback, httpServer, id, payloadTemplate, sharedSecret, url callback, id, status, summaryId, url sdwan:telemetry:write
GET /devices/{serial}/liveTools/routingTable/summaries/{id}
Return the status and result of a routing table summary job
> getDeviceLiveToolsRoutingTableSummary
serial, id `` byProtocol, byVrf, counts, errors, ipv4, ipv6, name, status, summaryId, total, url sdwan:telemetry:read
GET /devices/{serial}/liveTools/routingTable/{id}
Return an routing table live tool job. (BETA)
> getDeviceLiveToolsRoutingTable
serial, id `` cidr, destination, entries, error, ipVersion, request, routingTableId, serial, staticGateway, status, subnet, type, url dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/speedTest
Enqueue a job to execute a speed test from a device (BETA)
> createDeviceLiveToolsSpeedTest
serial interface average, interface, request, results, serial, speedTestId, speeds, status, url dashboard:general:config:write
GET /devices/{serial}/liveTools/speedTest/{id}
Returns a speed test result in megabits per second (BETA)
> getDeviceLiveToolsSpeedTest
serial, id `` average, interface, request, results, serial, speedTestId, speeds, status, url dashboard:general:config:read
POST /devices/{serial}/liveTools/throughputTest
Enqueue a job to test a device throughput, the test will run for 10 secs to test throughput
> createDeviceLiveToolsThroughputTest
serial callback, httpServer, id, payloadTemplate, sharedSecret, url callback, downstream, error, id, request, result, serial, speeds, status, throughputTestId, url dashboard:general:config:write
GET /devices/{serial}/liveTools/throughputTest/{throughputTestId}
Return a throughput test job
> getDeviceLiveToolsThroughputTest
serial, throughputTestId `` downstream, error, request, result, serial, speeds, status, throughputTestId, url dashboard:general:config:read
POST /devices/{serial}/liveTools/traceRoute
Enqueue a job to run trace route in the device (BETA)
> createDeviceLiveToolsTraceRoute
serial callback, httpServer, id, payloadTemplate, sharedSecret, sourceInterface, target, url callback, id, request, serial, sourceInterface, status, target, traceRouteId, url dashboard:general:telemetry:write
GET /devices/{serial}/liveTools/traceRoute/{traceRouteId}
Return a trace route job (BETA)
> getDeviceLiveToolsTraceRoute
serial, traceRouteId `` count, error, hop, ip, request, results, rttAvg, serial, sourceInterface, status, target, traceRouteId, url dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/vrrpTable
Enqueue a job to perform a VRRP table request for the device (BETA)
> createDeviceLiveToolsVrrpTable
serial callback, httpServer, id, payloadTemplate, sharedSecret, url callback, id, request, serial, status, url, vrrpTableId dashboard:general:telemetry:write
GET /devices/{serial}/liveTools/vrrpTable/{vrrpTableId}
Return an VRRP table live tool job. (BETA)
> getDeviceLiveToolsVrrpTable
serial, vrrpTableId `` addresses, description, enabled, entries, error, group, lastChange, preemption, primary, primaryReason, priority, protocol, reason, request, serial, status, ts, url, value, virtual, vlanId, vrrpTableId dashboard:general:telemetry:read
POST /devices/{serial}/liveTools/wakeOnLan
Enqueue a job to send a Wake-on-LAN packet from the device
> createDeviceLiveToolsWakeOnLan
serial callback, httpServer, id, mac, payloadTemplate, sharedSecret, url, vlanId callback, error, id, mac, request, serial, status, url, vlanId, wakeOnLanId dashboard:general:config:write
GET /devices/{serial}/liveTools/wakeOnLan/{wakeOnLanId}
Return a Wake-on-LAN job
> getDeviceLiveToolsWakeOnLan
serial, wakeOnLanId `` error, mac, request, serial, status, url, vlanId, wakeOnLanId dashboard:general:config:read
GET /devices/{serial}/lldpCdp
List LLDP and CDP information for a device
> getDeviceLldpCdp
serial `` ports, sourceMac dashboard:general:telemetry:read
GET /devices/{serial}/lossAndLatencyHistory
Get the uplink loss percentage and latency in milliseconds, and goodput in kilobits per second for MX, MG and Z devices.
> getDeviceLossAndLatencyHistory
serial, t0, t1, timespan, resolution, uplink, ip `` endTime, goodput, jitter, latencyMs, lossPercent, startTime dashboard:general:telemetry:read
GET /devices/{serial}/managementInterface
Return the management interface settings for a device
> getDeviceManagementInterface
serial `` activeDdnsHostname, ddnsHostnameWan1, ddnsHostnameWan2, ddnsHostnames, name, staticDns, staticGatewayIp, staticIp, staticSubnetMask, usingStaticIp, vlan, vrf, wan1, wan2, wanEnabled dashboard:general:config:read
PUT /devices/{serial}/managementInterface
Update the management interface settings for a device
> updateDeviceManagementInterface
serial staticDns, staticGatewayIp, staticIp, staticSubnetMask, usingStaticIp, vlan, wan1, wan2, wanEnabled activeDdnsHostname, ddnsHostnameWan1, ddnsHostnameWan2, ddnsHostnames, name, staticDns, staticGatewayIp, staticIp, staticSubnetMask, usingStaticIp, vlan, vrf, wan1, wan2, wanEnabled dashboard:general:config:write
POST /devices/{serial}/reboot
Reboot a device
> rebootDevice
serial `` success dashboard:general:config:write
GET /devices/{serial}/sensor/commands
Returns a historical log of all commands
> getDeviceSensorCommands
serial, operations, perPage, startingAfter, endingBefore, sortOrder, t0, t1, timespan `` adminId, commandId, completedAt, createdAt, createdBy, email, errors, name, operation, status sensor:config:read
POST /devices/{serial}/sensor/commands
Sends a command to a sensor
> createDeviceSensorCommand
serial arguments, name, operation, value adminId, commandId, completedAt, createdAt, createdBy, email, errors, name, operation, status sensor:config:write
GET /devices/{serial}/sensor/commands/{commandId}
Returns information about the command's execution, including the status
> getDeviceSensorCommand
serial, commandId `` adminId, commandId, completedAt, createdAt, createdBy, email, errors, name, operation, status sensor:config:read
GET /devices/{serial}/sensor/relationships
List the sensor roles for a given sensor or camera device.
> getDeviceSensorRelationships
serial `` livestream, productType, relatedDevices, serial sensor:config:read
PUT /devices/{serial}/sensor/relationships
Assign one or more sensor roles to a given sensor or camera device.
> updateDeviceSensorRelationships
serial livestream, relatedDevices, serial livestream, productType, relatedDevices, serial sensor:config:write
GET /devices/{serial}/switch/ports
List the switch ports for a switch
> getDeviceSwitchPorts
serial, hideDefaultPorts `` accessPolicyNumber, accessPolicyType, adaptivePolicyGroup, adaptivePolicyGroupId, allowedVlans, daiTrusted, dot3az, enabled, fastPoe, flexibleStackingEnabled, highSpeed, id, iname, isolationEnabled, linkNegotiation, linkNegotiationCapabilities, macAllowList, macWhitelistLimit, mirror, mode, model, module, name, peerSgtCapable, perpetualPoe, poeEnabled, portId, portScheduleId, profile, rstpEnabled, schedule, serial, slot, stickyMacAllowList, stickyMacAllowListLimit, stormControlEnabled, stpGuard, stpPortFastTrunk, tags, type, udld, vlan, voiceVlan switch:config:read
POST /devices/{serial}/switch/ports/cycle
Cycle a set of switch ports on non-Catalyst MS devices (DEPRECATED)
> cycleDeviceSwitchPorts
serial ports ports switch:config:write
PUT /devices/{serial}/switch/ports/mirror
Update a port mirror (BETA)
> updateDeviceSwitchPortsMirror
serial comment, destination, filter, hasTransitVlan, module, number, port, ports, role, serial, slot, source, tags, type, vlan, vlans comment, destination, filter, hasTransitVlan, id, mirror, module, name, network, number, port, ports, role, serial, slot, source, tags, type, vlan, vlans, warnings switch:config:write
GET /devices/{serial}/switch/ports/statuses
Return the status for all the ports of a switch
> getDeviceSwitchPortsStatuses
serial, t0, timespan `` active, address, allowedVlans, authenticationStatus, capabilities, cdp, chassisId, clientCount, configOverrides, deviceId, duplex, enabled, errors, isAllocated, isUplink, lldp, managementAddress, managementVlan, nativeVlan, platform, poe, portDescription, portId, portVlan, powerUsageInWh, recv, securePort, sent, spanningTree, speed, status, statuses, systemCapabilities, systemDescription, systemName, total, trafficInKbps, type, usageInKb, version, vlan, voiceVlan, vtpManagementDomain, warnings switch:telemetry:read
GET /devices/{serial}/switch/ports/statuses/packets
Return the packet counters for all the ports of a switch
> getDeviceSwitchPortsStatusesPackets
serial, t0, timespan `` desc, packets, portId, ratePerSec, recv, sent, total switch:telemetry:read
GET /devices/{serial}/switch/ports/{portId}
Return a switch port
> getDeviceSwitchPort
serial, portId `` accessPolicyNumber, accessPolicyType, adaptivePolicyGroup, adaptivePolicyGroupId, allowedVlans, daiTrusted, dot3az, enabled, fastPoe, flexibleStackingEnabled, highSpeed, id, iname, isolationEnabled, linkNegotiation, linkNegotiationCapabilities, macAllowList, macWhitelistLimit, mirror, mode, model, module, name, peerSgtCapable, perpetualPoe, poeEnabled, portId, portScheduleId, profile, rstpEnabled, schedule, serial, slot, stickyMacAllowList, stickyMacAllowListLimit, stormControlEnabled, stpGuard, stpPortFastTrunk, tags, type, udld, vlan, voiceVlan switch:config:read
PUT /devices/{serial}/switch/ports/{portId}
Update a switch port
> updateDeviceSwitchPort
serial, portId accessPolicyNumber, accessPolicyType, adaptivePolicyGroupId, allowedVlans, daiTrusted, dot3az, enabled, fastPoe, flexibleStackingEnabled, highSpeed, id, iname, isolationEnabled, linkNegotiation, macAllowList, macWhitelistLimit, name, peerSgtCapable, perpetualPoe, poeEnabled, portScheduleId, profile, rstpEnabled, stickyMacAllowList, stickyMacAllowListLimit, stormControlEnabled, stpGuard, stpPortFastTrunk, tags, type, udld, vlan, voiceVlan accessPolicyNumber, accessPolicyType, adaptivePolicyGroup, adaptivePolicyGroupId, allowedVlans, daiTrusted, dot3az, enabled, fastPoe, flexibleStackingEnabled, highSpeed, id, iname, isolationEnabled, linkNegotiation, linkNegotiationCapabilities, macAllowList, macWhitelistLimit, mirror, mode, model, module, name, peerSgtCapable, perpetualPoe, poeEnabled, portId, portScheduleId, profile, rstpEnabled, schedule, serial, slot, stickyMacAllowList, stickyMacAllowListLimit, stormControlEnabled, stpGuard, stpPortFastTrunk, tags, type, udld, vlan, voiceVlan switch:config:write
GET /devices/{serial}/switch/routing/interfaces
List layer 3 interfaces for a switch
> getDeviceSwitchRoutingInterfaces
serial, mode, protocol `` address, area, assignmentMode, bidirectionalForwardingDetection, candidateUplink, candidateUplinkV4, cloud, cost, defaultGateway, enabled, gateway, interfaceId, interfaceIp, intervalInterface, ipv6, isDefaultGateway, isEligible, isPassiveEnabled, isSwitchDefaultGateway, loopback, minRx, mode, msecs, mtu, multicastRouting, multiplier, name, nameservers, networkType, ospfSettings, ospfV3, prefix, primary, secondary, serial, staticV4Dns1, staticV4Dns2, staticV6Dns1, staticV6Dns2, subnet, switchPortId, uplink, uplinkV4, uplinkV6, vlanId, vrf switch:config:read
POST /devices/{serial}/switch/routing/interfaces
Create a layer 3 interface for a switch
> createDeviceSwitchRoutingInterface
serial address, area, assignmentMode, bidirectionalForwardingDetection, candidateUplink, candidateUplinkV4, cloud, cost, defaultGateway, enabled, gateway, interfaceIp, intervalInterface, ipv6, isDefaultGateway, isEligible, isPassiveEnabled, isSwitchDefaultGateway, loopback, minRx, mode, msecs, mtu, multicastRouting, multiplier, name, nameservers, networkType, ospfSettings, prefix, primary, secondary, staticV4Dns1, staticV4Dns2, staticV6Dns1, staticV6Dns2, subnet, switchPortId, uplink, uplinkV4, uplinkV6, vlanId, vrf address, area, assignmentMode, bidirectionalForwardingDetection, candidateUplink, candidateUplinkV4, cloud, cost, defaultGateway, enabled, gateway, interfaceId, interfaceIp, intervalInterface, ipv6, isDefaultGateway, isEligible, isPassiveEnabled, isSwitchDefaultGateway, loopback, minRx, mode, msecs, mtu, multicastRouting, multiplier, name, nameservers, networkType, ospfSettings, ospfV3, prefix, primary, secondary, serial, staticV4Dns1, staticV4Dns2, staticV6Dns1, staticV6Dns2, subnet, switchPortId, uplink, uplinkV4, uplinkV6, vlanId, vrf switch:config:write
GET /devices/{serial}/switch/routing/interfaces/{interfaceId}
Return a layer 3 interface for a switch
> getDeviceSwitchRoutingInterface
serial, interfaceId `` address, area, assignmentMode, bidirectionalForwardingDetection, candidateUplink, candidateUplinkV4, cloud, cost, defaultGateway, enabled, gateway, interfaceId, interfaceIp, intervalInterface, ipv6, isDefaultGateway, isEligible, isPassiveEnabled, isSwitchDefaultGateway, loopback, minRx, mode, msecs, mtu, multicastRouting, multiplier, name, nameservers, networkType, ospfSettings, ospfV3, prefix, primary, secondary, serial, staticV4Dns1, staticV4Dns2, staticV6Dns1, staticV6Dns2, subnet, switchPortId, uplink, uplinkV4, uplinkV6, vlanId, vrf switch:config:read
PUT /devices/{serial}/switch/routing/interfaces/{interfaceId}
Update a layer 3 interface for a switch
> updateDeviceSwitchRoutingInterface
serial, interfaceId address, area, assignmentMode, bidirectionalForwardingDetection, candidateUplink, candidateUplinkV4, cloud, cost, defaultGateway, enabled, gateway, interfaceIp, intervalInterface, ipv6, isDefaultGateway, isEligible, isPassiveEnabled, isSwitchDefaultGateway, loopback, minRx, msecs, mtu, multicastRouting, multiplier, name, nameservers, networkType, ospfSettings, prefix, primary, secondary, staticV4Dns1, staticV4Dns2, staticV6Dns1, staticV6Dns2, subnet, switchPortId, uplink, uplinkV4, uplinkV6, vlanId, vrf address, area, assignmentMode, bidirectionalForwardingDetection, candidateUplink, candidateUplinkV4, cloud, cost, defaultGateway, enabled, gateway, interfaceId, interfaceIp, intervalInterface, ipv6, isDefaultGateway, isEligible, isPassiveEnabled, isSwitchDefaultGateway, loopback, minRx, mode, msecs, mtu, multicastRouting, multiplier, name, nameservers, networkType, ospfSettings, ospfV3, prefix, primary, secondary, serial, staticV4Dns1, staticV4Dns2, staticV6Dns1, staticV6Dns2, subnet, switchPortId, uplink, uplinkV4, uplinkV6, vlanId, vrf switch:config:write
DELETE /devices/{serial}/switch/routing/interfaces/{interfaceId}
Delete a layer 3 interface from the switch
> deleteDeviceSwitchRoutingInterface
serial, interfaceId `` `` switch:config:write
GET /devices/{serial}/switch/routing/interfaces/{interfaceId}/dhcp
Return a layer 3 interface DHCP configuration for a switch
> getDeviceSwitchRoutingInterfaceDhcp
serial, interfaceId `` bootFileName, bootNextServer, bootOptionsEnabled, code, comment, dhcpDefaultRouterIps, dhcpDomainName, dhcpLeaseTime, dhcpMode, dhcpOptions, dhcpRelayServerIps, dnsCustomNameservers, dnsNameserversOption, end, fixedIpAssignments, ip, mac, name, reservedIpRanges, start, type, value switch:config:read
PUT /devices/{serial}/switch/routing/interfaces/{interfaceId}/dhcp
Update a layer 3 interface DHCP configuration for a switch
> updateDeviceSwitchRoutingInterfaceDhcp
serial, interfaceId bootFileName, bootNextServer, bootOptionsEnabled, code, comment, dhcpDefaultRouterIps, dhcpDomainName, dhcpLeaseTime, dhcpMode, dhcpOptions, dhcpRelayServerIps, dnsCustomNameservers, dnsNameserversOption, end, fixedIpAssignments, ip, mac, name, reservedIpRanges, start, type, value bootFileName, bootNextServer, bootOptionsEnabled, code, comment, dhcpDefaultRouterIps, dhcpDomainName, dhcpLeaseTime, dhcpMode, dhcpOptions, dhcpRelayServerIps, dnsCustomNameservers, dnsNameserversOption, end, fixedIpAssignments, ip, mac, name, reservedIpRanges, start, type, value switch:config:write
GET /devices/{serial}/switch/routing/staticRoutes
List layer 3 static routes for a switch
> getDeviceSwitchRoutingStaticRoutes
serial `` advertiseViaOspfEnabled, leakRouteToDefaultVrf, managementNextHop, name, nextHopIp, preferOverOspfRoutesEnabled, staticRouteId, subnet, vrf switch:config:read
POST /devices/{serial}/switch/routing/staticRoutes
Create a layer 3 static route for a switch
> createDeviceSwitchRoutingStaticRoute
serial advertiseViaOspfEnabled, leakRouteToDefaultVrf, name, nextHopIp, preferOverOspfRoutesEnabled, subnet, vrf advertiseViaOspfEnabled, leakRouteToDefaultVrf, managementNextHop, name, nextHopIp, preferOverOspfRoutesEnabled, staticRouteId, subnet, vrf switch:config:write
GET /devices/{serial}/switch/routing/staticRoutes/{staticRouteId}
Return a layer 3 static route for a switch
> getDeviceSwitchRoutingStaticRoute
serial, staticRouteId `` advertiseViaOspfEnabled, leakRouteToDefaultVrf, managementNextHop, name, nextHopIp, preferOverOspfRoutesEnabled, staticRouteId, subnet, vrf switch:config:read
PUT /devices/{serial}/switch/routing/staticRoutes/{staticRouteId}
Update a layer 3 static route for a switch
> updateDeviceSwitchRoutingStaticRoute
serial, staticRouteId advertiseViaOspfEnabled, leakRouteToDefaultVrf, managementNextHop, name, nextHopIp, preferOverOspfRoutesEnabled, subnet, vrf advertiseViaOspfEnabled, leakRouteToDefaultVrf, managementNextHop, name, nextHopIp, preferOverOspfRoutesEnabled, staticRouteId, subnet, vrf switch:config:write
DELETE /devices/{serial}/switch/routing/staticRoutes/{staticRouteId}
Delete a layer 3 static route for a switch
> deleteDeviceSwitchRoutingStaticRoute
serial, staticRouteId `` `` switch:config:write
GET /devices/{serial}/switch/warmSpare
Return warm spare configuration for a switch
> getDeviceSwitchWarmSpare
serial `` enabled, primarySerial, spareSerial switch:config:read
PUT /devices/{serial}/switch/warmSpare
Update warm spare configuration for a switch
> updateDeviceSwitchWarmSpare
serial enabled, spareSerial enabled, primarySerial, spareSerial switch:config:write
PUT /devices/{serial}/wireless/alternateManagementInterface/ipv6
Update alternate management interface IPv6 address
> updateDeviceWirelessAlternateManagementInterfaceIpv6
serial address, addresses, assignmentMode, gateway, nameservers, prefix, protocol address, addresses, assignmentMode, gateway, nameservers, prefix, protocol wireless:config:write
GET /devices/{serial}/wireless/bluetooth/settings
Return the bluetooth settings for a wireless device
> getDeviceWirelessBluetoothSettings
serial `` advertised, interval, major, minor, power, transmit, uuid wireless:config:read
PUT /devices/{serial}/wireless/bluetooth/settings
Update the bluetooth settings for a wireless device
> updateDeviceWirelessBluetoothSettings
serial advertised, interval, major, minor, power, transmit, uuid advertised, interval, major, minor, power, transmit, uuid wireless:config:write
GET /devices/{serial}/wireless/connectionStats
Aggregated connectivity info for a given AP on this network
> getDeviceWirelessConnectionStats
serial, t0, t1, timespan, band, ssid, apTag `` assoc, auth, connectionStats, dhcp, dns, serial, success wireless:telemetry:read
GET /devices/{serial}/wireless/electronicShelfLabel
Return the ESL settings of a device
> getDeviceWirelessElectronicShelfLabel
serial `` apEslId, channel, enabled, hostname, networkId, provider, serial ``
PUT /devices/{serial}/wireless/electronicShelfLabel
Update the ESL settings of a device
> updateDeviceWirelessElectronicShelfLabel
serial channel, enabled apEslId, channel, enabled, hostname, networkId, provider, serial ``
GET /devices/{serial}/wireless/healthScores
Fetch the health scores for a given AP on this network (BETA)
> getDeviceWirelessHealthScores
serial `` device, latest, onboarding, performance, serial ``
GET /devices/{serial}/wireless/latencyStats
Aggregated latency info for a given AP on this network
> getDeviceWirelessLatencyStats
serial, t0, t1, timespan, band, ssid, apTag, vlan, fields `` avg, backgroundTraffic, bestEffortTraffic, latencyStats, rawDistribution, serial, videoTraffic, voiceTraffic wireless:telemetry:read
PUT /devices/{serial}/wireless/mesh/gateways/preferred
Replace the complete list of preferred gateways for this device (BETA)
> updateDeviceWirelessMeshGatewaysPreferred
serial gateways, mac, serial gateways, serial wireless:config:write
GET /devices/{serial}/wireless/radio/afc/position
Return the position for a wireless device (BETA)
> getDeviceWirelessRadioAfcPosition
serial `` aboveFloor, aboveGround, antenna, cableLength, gps, height, id, name, network, serial, uncertainty, value ``
PUT /devices/{serial}/wireless/radio/afc/position
Update the position attributes for this device (BETA)
> updateDeviceWirelessRadioAfcPosition
serial aboveFloor, aboveGround, antenna, cableLength, gps, height, uncertainty, value aboveFloor, aboveGround, antenna, cableLength, gps, height, id, name, network, serial, uncertainty, value ``
GET /devices/{serial}/wireless/radio/afc/powerLimits
Return the AFC power limits for a wireless device (BETA)
> getDeviceWirelessRadioAfcPowerLimits
serial `` byChannel, channel, channelWidth, expiresAt, id, lastSuccessAt, lastUpdatedAt, lat, limit, lng, location, name, network, serial, status, type, uncertainty ``
GET /devices/{serial}/wireless/radio/overrides
Return the radio overrides of a device
> getDeviceWirelessRadioOverrides
serial `` band, channel, channelWidth, enabled, id, index, network, radios, rfProfile, serial, targetPower ``
PUT /devices/{serial}/wireless/radio/overrides
Update 2.4 GHz, 5 GHz, and 6 GHz radio settings (channel, channel width, power, and enable/disable) that override RF profiles
> updateDeviceWirelessRadioOverrides
serial channel, channelWidth, enabled, id, index, radios, rfProfile, targetPower band, channel, channelWidth, enabled, id, index, network, radios, rfProfile, serial, targetPower ``
GET /devices/{serial}/wireless/radio/settings
Return the manually configured radio settings overrides of a device, which take precedence over RF profiles.
> getDeviceWirelessRadioSettings
serial `` channel, channelWidth, fiveGhzSettings, rfProfileId, serial, targetPower, twoFourGhzSettings wireless:config:read
PUT /devices/{serial}/wireless/radio/settings
Update 2.4 GHz and 5 GHz radio settings (channel, channel width, power) that override RF profiles
> updateDeviceWirelessRadioSettings
serial channel, channelWidth, fiveGhzSettings, rfProfileId, targetPower, twoFourGhzSettings channel, channelWidth, fiveGhzSettings, rfProfileId, serial, targetPower, twoFourGhzSettings wireless:config:write
GET /devices/{serial}/wireless/radio/status
Show the status of this device's radios (BETA)
> getDeviceWirelessRadioStatus
serial `` band, channel, dfs, mode, power, radarDetected, status, transmit, value, width ``
GET /devices/{serial}/wireless/status
Return the SSID statuses of an access point
> getDeviceWirelessStatus
serial `` band, basicServiceSets, broadcasting, bssid, channel, channelWidth, enabled, power, ssidName, ssidNumber, visible wireless:telemetry:read
POST /devices/{serial}/wireless/zigbee/enrollments
Enqueue a job to start enrolling door locks on zigbee configured wireless devices
> createDeviceWirelessZigbeeEnrollment
serial `` enrollmentId, request, serial, status, url ``
GET /devices/{serial}/wireless/zigbee/enrollments/{enrollmentId}
Return an enrollment
> getDeviceWirelessZigbeeEnrollment
serial, enrollmentId `` doorLockId, doorLocks, enrolledAt, enrollmentId, enrollmentStartedAt, eui64, gateway, id, lastSeenAt, lqi, name, network, request, rssi, serial, shortId, status, url ``
GET /networks/{networkId}
Return a network
> getNetwork
networkId `` details, enrollmentString, id, isBoundToConfigTemplate, name, notes, organizationId, productType, productTypes, tags, timeZone, url, value dashboard:general:config:read
PUT /networks/{networkId}
Update a network
> updateNetwork
networkId enrollmentString, name, notes, tags, timeZone details, enrollmentString, id, isBoundToConfigTemplate, name, notes, organizationId, productType, productTypes, tags, timeZone, url, value dashboard:general:config:write
DELETE /networks/{networkId}
Delete a network
> deleteNetwork
networkId `` `` dashboard:general:config:write
GET /networks/{networkId}/alerts/history
Return the alert history for this network
> getNetworkAlertsHistory
networkId, perPage, startingAfter, endingBefore `` alertData, alertType, alertTypeId, destinations, device, email, occurredAt, push, sentAt, serial, sms, webhook dashboard:general:telemetry:read
GET /networks/{networkId}/alerts/settings
Return the alert configuration for this network
> getNetworkAlertsSettings
networkId `` alertDestinations, alerts, allAdmins, byPortSchedules, conditions, defaultDestinations, direction, duration, emails, enabled, failureType, filters, httpServerIds, lookbackWindow, minDuration, muting, name, period, priority, regex, selector, serials, smsNumbers, snmp, ssidNum, tag, threshold, timeout, type, unit dashboard:general:telemetry:read
PUT /networks/{networkId}/alerts/settings
Update the alert configuration for this network
> updateNetworkAlertsSettings
networkId alertDestinations, alerts, allAdmins, byPortSchedules, conditions, defaultDestinations, direction, duration, emails, enabled, failureType, filters, httpServerIds, lookbackWindow, minDuration, muting, name, period, priority, regex, selector, serials, smsNumbers, snmp, ssidNum, tag, threshold, timeout, type, unit alertDestinations, alerts, allAdmins, byPortSchedules, conditions, defaultDestinations, direction, duration, emails, enabled, failureType, filters, httpServerIds, lookbackWindow, minDuration, muting, name, period, priority, regex, selector, serials, smsNumbers, snmp, ssidNum, tag, threshold, timeout, type, unit dashboard:general:telemetry:write
GET /networks/{networkId}/appliance/clients/{clientId}/security/events
List the security events for a client
> getNetworkApplianceClientSecurityEvents
networkId, clientId, t0, t1, timespan, perPage, startingAfter, endingBefore, sortOrder `` `` sdwan:telemetry:read
GET /networks/{networkId}/appliance/connectivityMonitoringDestinations
Return the connectivity testing destinations for an MX network
> getNetworkApplianceConnectivityMonitoringDestinations
networkId `` default, description, destinations, ip sdwan:telemetry:read
PUT /networks/{networkId}/appliance/connectivityMonitoringDestinations
Update the connectivity testing destinations for an MX network
> updateNetworkApplianceConnectivityMonitoringDestinations
networkId default, description, destinations, ip default, description, destinations, ip sdwan:telemetry:write
GET /networks/{networkId}/appliance/contentFiltering
Return the content filtering settings for an MX network
> getNetworkApplianceContentFiltering
networkId `` allowedUrlPatterns, blockedUrlCategories, blockedUrlPatterns, id, name, urlCategoryListSize sdwan:config:read
PUT /networks/{networkId}/appliance/contentFiltering
Update the content filtering settings for an MX network
> updateNetworkApplianceContentFiltering
networkId allowedUrlPatterns, blockedUrlCategories, blockedUrlPatterns, urlCategoryListSize allowedUrlPatterns, blockedUrlCategories, blockedUrlPatterns, id, name, urlCategoryListSize sdwan:config:write
GET /networks/{networkId}/appliance/contentFiltering/categories
List all available content filtering categories for an MX network
> getNetworkApplianceContentFilteringCategories
networkId `` categories, id, name sdwan:config:read
PUT /networks/{networkId}/appliance/devices/redundancy
Update MX warm spare settings
> updateNetworkApplianceDevicesRedundancy
networkId address, addresses, byInterface, designations, enabled, interfaces, mode, name, parent, priority, serial, sharing, subnet, uplink, vlanId address, addresses, byInterface, designations, enabled, interfaces, mode, name, networkId, parent, priority, serial, sharing, subnet, uplink, vlanId sdwan:config:write
POST /networks/{networkId}/appliance/devices/redundancy/swap
Swap MX primary and warm spare appliances
> createNetworkApplianceDevicesRedundancySwap
networkId `` address, addresses, byInterface, designations, enabled, interfaces, mode, name, networkId, parent, priority, serial, sharing, subnet, uplink, vlanId sdwan:config:write
GET /networks/{networkId}/appliance/firewall/cellularFirewallRules
Return the cellular firewall rules for an MX network
> getNetworkApplianceFirewallCellularFirewallRules
networkId `` comment, destCidr, destPort, policy, protocol, rules, srcCidr, srcPort, syslogEnabled sdwan:config:read
PUT /networks/{networkId}/appliance/firewall/cellularFirewallRules
Update the cellular firewall rules of an MX network
> updateNetworkApplianceFirewallCellularFirewallRules
networkId comment, destCidr, destPort, policy, protocol, rules, srcCidr, srcPort, syslogEnabled comment, destCidr, destPort, policy, protocol, rules, srcCidr, srcPort, syslogEnabled sdwan:config:write
GET /networks/{networkId}/appliance/firewall/firewalledServices
List the appliance services and their accessibility rules
> getNetworkApplianceFirewallFirewalledServices
networkId `` access, allowedIps, service sdwan:config:read
GET /networks/{networkId}/appliance/firewall/firewalledServices/{service}
Return the accessibility settings of the given service ('ICMP', 'web', or 'SNMP')
> getNetworkApplianceFirewallFirewalledService
networkId, service `` access, allowedIps, service sdwan:config:read
PUT /networks/{networkId}/appliance/firewall/firewalledServices/{service}
Updates the accessibility settings for the given service ('ICMP', 'web', or 'SNMP')
> updateNetworkApplianceFirewallFirewalledService
networkId, service access, allowedIps access, allowedIps, service sdwan:config:write
GET /networks/{networkId}/appliance/firewall/inboundCellularFirewallRules
Return the inbound cellular firewall rules for an MX network
> getNetworkApplianceFirewallInboundCellularFirewallRules
networkId `` comment, destCidr, destPort, policy, protocol, rules, srcCidr, srcPort, syslogEnabled sdwan:config:read
PUT /networks/{networkId}/appliance/firewall/inboundCellularFirewallRules
Update the inbound cellular firewall rules of an MX network
> updateNetworkApplianceFirewallInboundCellularFirewallRules
networkId comment, destCidr, destPort, policy, protocol, rules, srcCidr, srcPort, syslogEnabled comment, destCidr, destPort, policy, protocol, rules, srcCidr, srcPort, syslogEnabled sdwan:config:write
GET /networks/{networkId}/appliance/firewall/inboundFirewallRules
Return the inbound firewall rules for an MX network
> getNetworkApplianceFirewallInboundFirewallRules
networkId `` comment, destCidr, destPort, policy, protocol, rules, srcCidr, srcPort, syslogDefaultRule, syslogEnabled sdwan:config:read
PUT /networks/{networkId}/appliance/firewall/inboundFirewallRules
Update the inbound firewall rules of an MX network
> updateNetworkApplianceFirewallInboundFirewallRules
networkId comment, destCidr, destPort, policy, protocol, rules, srcCidr, srcPort, syslogDefaultRule, syslogEnabled comment, destCidr, destPort, policy, protocol, rules, srcCidr, srcPort, syslogDefaultRule, syslogEnabled ``
GET /networks/{networkId}/appliance/firewall/l3FirewallRules
Return the L3 firewall rules for an MX network
> getNetworkApplianceFirewallL3FirewallRules
networkId `` comment, destCidr, destPort, policy, protocol, rules, srcCidr, srcPort, syslogEnabled sdwan:config:read
PUT /networks/{networkId}/appliance/firewall/l3FirewallRules
Update the L3 firewall rules of an MX network
> updateNetworkApplianceFirewallL3FirewallRules
networkId comment, destCidr, destPort, policy, protocol, rules, srcCidr, srcPort, syslogDefaultRule, syslogEnabled comment, destCidr, destPort, policy, protocol, rules, srcCidr, srcPort, syslogEnabled sdwan:config:write
GET /networks/{networkId}/appliance/firewall/l7FirewallRules
List the MX L7 firewall rules for an MX network
> getNetworkApplianceFirewallL7FirewallRules
networkId `` policy, rules, type, value sdwan:config:read
PUT /networks/{networkId}/appliance/firewall/l7FirewallRules
Update the MX L7 firewall rules for an MX network
> updateNetworkApplianceFirewallL7FirewallRules
networkId policy, rules, type, value policy, rules, type, value sdwan:config:write
GET /networks/{networkId}/appliance/firewall/l7FirewallRules/applicationCategories
Return the L7 firewall application categories and their associated applications for an MX network
> getNetworkApplianceFirewallL7FirewallRulesApplicationCategories
networkId `` applicationCategories, applications, id, name sdwan:config:read
PUT /networks/{networkId}/appliance/firewall/multicastForwarding
Update static multicast forward rules for a network
> updateNetworkApplianceFirewallMulticastForwarding
networkId address, description, rules, vlanIds address, description, id, name, network, rules, vlanIds sdwan:config:write
GET /networks/{networkId}/appliance/firewall/oneToManyNatRules
Return the 1:Many NAT mapping rules for an MX network
> getNetworkApplianceFirewallOneToManyNatRules
networkId `` allowedIps, localIp, localPort, name, portRules, protocol, publicIp, publicPort, rules, uplink sdwan:config:read
PUT /networks/{networkId}/appliance/firewall/oneToManyNatRules
Set the 1:Many NAT mapping rules for an MX network
> updateNetworkApplianceFirewallOneToManyNatRules
networkId allowedIps, localIp, localPort, name, portRules, protocol, publicIp, publicPort, rules, uplink allowedIps, localIp, localPort, name, portRules, protocol, publicIp, publicPort, rules, uplink sdwan:config:write
GET /networks/{networkId}/appliance/firewall/oneToOneNatRules
Return the 1:1 NAT mapping rules for an MX network
> getNetworkApplianceFirewallOneToOneNatRules
networkId `` allowedInbound, allowedIps, destinationPorts, lanIp, name, protocol, publicIp, rules, uplink sdwan:config:read
PUT /networks/{networkId}/appliance/firewall/oneToOneNatRules
Set the 1:1 NAT mapping rules for an MX network
> updateNetworkApplianceFirewallOneToOneNatRules
networkId allowedInbound, allowedIps, destinationPorts, lanIp, name, protocol, publicIp, rules, uplink allowedInbound, allowedIps, destinationPorts, lanIp, name, protocol, publicIp, rules, uplink sdwan:config:write
GET /networks/{networkId}/appliance/firewall/portForwardingRules
Return the port forwarding rules for an MX network
> getNetworkApplianceFirewallPortForwardingRules
networkId `` allowedIps, lanIp, localPort, name, protocol, publicPort, rules, uplink sdwan:config:read
PUT /networks/{networkId}/appliance/firewall/portForwardingRules
Update the port forwarding rules for an MX network
> updateNetworkApplianceFirewallPortForwardingRules
networkId allowedIps, lanIp, localPort, name, protocol, publicPort, rules, uplink allowedIps, lanIp, localPort, name, protocol, publicPort, rules, uplink sdwan:config:write
GET /networks/{networkId}/appliance/firewall/settings
Return the firewall settings for this network
> getNetworkApplianceFirewallSettings
networkId `` ipSourceGuard, mode, spoofingProtection sdwan:config:read
PUT /networks/{networkId}/appliance/firewall/settings
Update the firewall settings for this network
> updateNetworkApplianceFirewallSettings
networkId ipSourceGuard, mode, spoofingProtection ipSourceGuard, mode, spoofingProtection sdwan:config:write
POST /networks/{networkId}/appliance/interfaces/l3
Create wired L3 interface
> createNetworkApplianceInterfacesL3
networkId address, id, interface, ipv4, name, number, port, slot, subnet, subslot, vrf address, id, interface, interfaceId, ipv4, name, number, port, slot, subnet, subslot, vrf ``
PUT /networks/{networkId}/appliance/interfaces/l3/{interfaceId}
Update wired L3 interface
> updateNetworkApplianceInterfacesL3
networkId, interfaceId address, id, interface, ipv4, name, number, port, slot, subnet, subslot, vrf address, id, interface, interfaceId, ipv4, name, number, port, slot, subnet, subslot, vrf ``
DELETE /networks/{networkId}/appliance/interfaces/l3/{interfaceId}
Delete wired L3 interface
> deleteNetworkApplianceInterfacesL3
networkId, interfaceId `` `` ``
GET /networks/{networkId}/appliance/ports
List per-port VLAN settings for all ports of a secure router or security appliance.
> getNetworkAppliancePorts
networkId `` accessPolicy, adaptivePolicyGroupId, allowedVlans, dropUntaggedTraffic, enabled, id, number, peerSgtCapable, sgt, type, vlan sdwan:config:read
POST /networks/{networkId}/appliance/ports/radius/servers
Create a shared MX port RADIUS server for a network (BETA)
> createNetworkAppliancePortsRadiusServer
networkId host, port, secret, value host, id, name, network, port, serverId sdwan:config:write
PUT /networks/{networkId}/appliance/ports/radius/servers/{serverId}
Update a shared MX port RADIUS server for a network (BETA)
> updateNetworkAppliancePortsRadiusServer
networkId, serverId host, port, secret, value host, id, name, network, port, serverId sdwan:config:write
DELETE /networks/{networkId}/appliance/ports/radius/servers/{serverId}
Delete a network-owned shared MX port RADIUS server (BETA)
> deleteNetworkAppliancePortsRadiusServer
networkId, serverId `` `` sdwan:config:write
GET /networks/{networkId}/appliance/ports/{portId}
Return per-port VLAN settings for a single secure router or security appliance port.
> getNetworkAppliancePort
networkId, portId `` accessPolicy, adaptivePolicyGroupId, allowedVlans, dropUntaggedTraffic, enabled, id, number, peerSgtCapable, sgt, type, vlan sdwan:config:read
PUT /networks/{networkId}/appliance/ports/{portId}
Update the per-port VLAN settings for a single secure router or security appliance port.
> updateNetworkAppliancePort
networkId, portId accessPolicy, adaptivePolicyGroupId, allowedVlans, dropUntaggedTraffic, enabled, id, peerSgtCapable, sgt, type, vlan accessPolicy, adaptivePolicyGroupId, allowedVlans, dropUntaggedTraffic, enabled, id, number, peerSgtCapable, sgt, type, vlan sdwan:config:write
GET /networks/{networkId}/appliance/prefixes/delegated/statics
List static delegated prefixes for a network
> getNetworkAppliancePrefixesDelegatedStatics
networkId `` createdAt, description, interfaces, origin, prefix, staticDelegatedPrefixId, type, updatedAt sdwan:config:read
POST /networks/{networkId}/appliance/prefixes/delegated/statics
Add a static delegated prefix from a network
> createNetworkAppliancePrefixesDelegatedStatic
networkId description, interfaces, origin, prefix, type createdAt, description, interfaces, origin, prefix, staticDelegatedPrefixId, type, updatedAt sdwan:config:write
GET /networks/{networkId}/appliance/prefixes/delegated/statics/{staticDelegatedPrefixId}
Return a static delegated prefix from a network
> getNetworkAppliancePrefixesDelegatedStatic
networkId, staticDelegatedPrefixId `` createdAt, description, interfaces, origin, prefix, staticDelegatedPrefixId, type, updatedAt sdwan:config:read
PUT /networks/{networkId}/appliance/prefixes/delegated/statics/{staticDelegatedPrefixId}
Update a static delegated prefix from a network
> updateNetworkAppliancePrefixesDelegatedStatic
networkId, staticDelegatedPrefixId description, interfaces, origin, prefix, type createdAt, description, interfaces, origin, prefix, staticDelegatedPrefixId, type, updatedAt sdwan:config:write
DELETE /networks/{networkId}/appliance/prefixes/delegated/statics/{staticDelegatedPrefixId}
Delete a static delegated prefix from a network
> deleteNetworkAppliancePrefixesDelegatedStatic
networkId, staticDelegatedPrefixId `` `` sdwan:config:write
GET /networks/{networkId}/appliance/rfProfiles
List the RF profiles for this network
> getNetworkApplianceRfProfiles
networkId `` 1, 2, 3, 4, assigned, axEnabled, bandOperationMode, bandSteeringEnabled, fiveGhzSettings, id, minBitrate, name, networkId, perSsidSettings, twoFourGhzSettings sdwan:config:read
POST /networks/{networkId}/appliance/rfProfiles
Creates new RF profile for this network
> createNetworkApplianceRfProfile
networkId 1, 2, 3, 4, axEnabled, bandOperationMode, bandSteeringEnabled, fiveGhzSettings, minBitrate, name, perSsidSettings, twoFourGhzSettings 1, 2, 3, 4, axEnabled, bandOperationMode, bandSteeringEnabled, fiveGhzSettings, id, minBitrate, name, networkId, perSsidSettings, twoFourGhzSettings sdwan:config:write
PUT /networks/{networkId}/appliance/rfProfiles/{rfProfileId}
Updates specified RF profile for this network
> updateNetworkApplianceRfProfile
networkId, rfProfileId 1, 2, 3, 4, axEnabled, bandOperationMode, bandSteeringEnabled, fiveGhzSettings, minBitrate, name, perSsidSettings, twoFourGhzSettings 1, 2, 3, 4, axEnabled, bandOperationMode, bandSteeringEnabled, fiveGhzSettings, id, minBitrate, name, networkId, perSsidSettings, twoFourGhzSettings sdwan:config:write
DELETE /networks/{networkId}/appliance/rfProfiles/{rfProfileId}
Delete a RF Profile
> deleteNetworkApplianceRfProfile
networkId, rfProfileId `` `` sdwan:config:write
GET /networks/{networkId}/appliance/rfProfiles/{rfProfileId}
Return a RF profile
> getNetworkApplianceRfProfile
networkId, rfProfileId `` 1, 2, 3, 4, axEnabled, bandOperationMode, bandSteeringEnabled, fiveGhzSettings, id, minBitrate, name, networkId, perSsidSettings, twoFourGhzSettings sdwan:config:read
PUT /networks/{networkId}/appliance/sdwan/internetPolicies
Update SDWAN internet traffic preferences for an MX network
> updateNetworkApplianceSdwanInternetPolicies
networkId applications, builtinPerformanceClassName, cidr, customPerformanceClassId, destination, failOverCriterion, host, id, name, performanceClass, port, preferredUplink, protocol, source, trafficFilters, type, value, vlan, vrf, wanTrafficUplinkPreferences applications, builtinPerformanceClassName, cidr, customPerformanceClassId, destination, failOverCriterion, host, id, name, performanceClass, port, preferredUplink, protocol, source, trafficFilters, type, value, vlan, vrf, wanTrafficUplinkPreferences sdwan:config:write
GET /networks/{networkId}/appliance/security/events
List the security events for a network
> getNetworkApplianceSecurityEvents
networkId, t0, t1, timespan, perPage, startingAfter, endingBefore, sortOrder `` `` sdwan:telemetry:read
PUT /networks/{networkId}/appliance/security/httpsInspection
Update HTTPS inspection configuration for a network.
> updateNetworkApplianceSecurityHttpsInspection
networkId allowLists, applications, enabled, id, l3, l7, name allowLists, applications, enabled, id, l3, l7, name, network sdwan:config:write
GET /networks/{networkId}/appliance/security/intrusion
Returns all supported intrusion settings for an MX network
> getNetworkApplianceSecurityIntrusion
networkId `` description, excludedCidr, id, idsRulesets, includedCidr, mode, name, policy, protectedNetworks, useDefault sdwan:config:read
PUT /networks/{networkId}/appliance/security/intrusion
Set the supported intrusion settings for an MX network
> updateNetworkApplianceSecurityIntrusion
networkId excludedCidr, id, idsRulesets, includedCidr, mode, policy, protectedNetworks, useDefault description, excludedCidr, id, idsRulesets, includedCidr, mode, name, policy, protectedNetworks, useDefault sdwan:config:write
GET /networks/{networkId}/appliance/security/malware
Returns all supported malware settings for an MX network
> getNetworkApplianceSecurityMalware
networkId `` allowedFiles, allowedUrls, comment, mode, sha256, url sdwan:config:read
PUT /networks/{networkId}/appliance/security/malware
Set the supported malware settings for an MX network
> updateNetworkApplianceSecurityMalware
networkId allowedFiles, allowedUrls, comment, mode, sha256, url allowedFiles, allowedUrls, comment, mode, sha256, url sdwan:config:write
GET /networks/{networkId}/appliance/settings
Return the appliance settings for a network
> getNetworkApplianceSettings
networkId `` clientTrackingMethod, deploymentMode, dynamicDns, enabled, prefix, url sdwan:config:read
PUT /networks/{networkId}/appliance/settings
Update the appliance settings for a network
> updateNetworkApplianceSettings
networkId clientTrackingMethod, deploymentMode, dynamicDns, enabled, prefix clientTrackingMethod, deploymentMode, dynamicDns, enabled, prefix, url sdwan:config:write
GET /networks/{networkId}/appliance/singleLan
Return single LAN configuration
> getNetworkApplianceSingleLan
networkId `` applianceIp, autonomous, enabled, id, interfaces, ipv6, mandatoryDhcp, name, origin, prefixAssignments, staticApplianceIp6, staticPrefix, subnet, type, vrf sdwan:config:read
PUT /networks/{networkId}/appliance/singleLan
Update single LAN configuration
> updateNetworkApplianceSingleLan
networkId applianceIp, autonomous, disabled, enabled, id, interfaces, ipv6, mandatoryDhcp, origin, prefixAssignments, staticApplianceIp6, staticPrefix, subnet, type, vrf applianceIp, autonomous, enabled, id, interfaces, ipv6, mandatoryDhcp, name, origin, prefixAssignments, staticApplianceIp6, staticPrefix, subnet, type, vrf sdwan:config:write
GET /networks/{networkId}/appliance/ssids
List the MX SSIDs in a network
> getNetworkApplianceSsids
networkId `` authMode, defaultVlanId, enabled, encryptionMode, host, name, number, port, radiusServers, visible, wpaEncryptionMode sdwan:config:read
GET /networks/{networkId}/appliance/ssids/{number}
Return a single MX SSID
> getNetworkApplianceSsid
networkId, number `` authMode, defaultVlanId, enabled, encryptionMode, host, name, number, port, radiusServers, visible, wpaEncryptionMode sdwan:config:read
PUT /networks/{networkId}/appliance/ssids/{number}
Update the attributes of an MX SSID
> updateNetworkApplianceSsid
networkId, number authMode, defaultVlanId, dhcpEnforcedDeauthentication, dot11w, enabled, encryptionMode, host, name, port, psk, radiusServers, required, secret, visible, wpaEncryptionMode authMode, defaultVlanId, enabled, encryptionMode, host, name, number, port, radiusServers, visible, wpaEncryptionMode sdwan:config:write
GET /networks/{networkId}/appliance/staticRoutes
List the static routes for an MX or teleworker network
> getNetworkApplianceStaticRoutes
networkId `` comment, enabled, end, fixedIpAssignments, gatewayIp, gatewayVlanId, id, ipVersion, name, networkId, reservedIpRanges, start, subnet, vrf sdwan:config:read
POST /networks/{networkId}/appliance/staticRoutes
Add a static route for an MX or teleworker network
> createNetworkApplianceStaticRoute
networkId enabled, gatewayIp, gatewayVlanId, id, name, subnet, vrf comment, enabled, end, fixedIpAssignments, gatewayIp, gatewayVlanId, id, ipVersion, name, networkId, reservedIpRanges, start, subnet, vrf sdwan:config:write
GET /networks/{networkId}/appliance/staticRoutes/{staticRouteId}
Return a static route for an MX or teleworker network
> getNetworkApplianceStaticRoute
networkId, staticRouteId `` comment, enabled, end, fixedIpAssignments, gatewayIp, gatewayVlanId, id, ipVersion, name, networkId, reservedIpRanges, start, subnet, vrf sdwan:config:read
PUT /networks/{networkId}/appliance/staticRoutes/{staticRouteId}
Update a static route for an MX or teleworker network
> updateNetworkApplianceStaticRoute
networkId, staticRouteId comment, enabled, end, fixedIpAssignments, gatewayIp, gatewayVlanId, id, name, reservedIpRanges, start, subnet, vrf comment, enabled, end, fixedIpAssignments, gatewayIp, gatewayVlanId, id, ipVersion, name, networkId, reservedIpRanges, start, subnet, vrf sdwan:config:write
DELETE /networks/{networkId}/appliance/staticRoutes/{staticRouteId}
Delete a static route from an MX or teleworker network
> deleteNetworkApplianceStaticRoute
networkId, staticRouteId `` `` sdwan:config:write
GET /networks/{networkId}/appliance/trafficShaping
Display the traffic shaping settings for an MX network
> getNetworkApplianceTrafficShaping
networkId `` globalBandwidthLimits, limitDown, limitUp sdwan:config:read
PUT /networks/{networkId}/appliance/trafficShaping
Update the traffic shaping settings for an MX network
> updateNetworkApplianceTrafficShaping
networkId globalBandwidthLimits, limitDown, limitUp globalBandwidthLimits, limitDown, limitUp sdwan:config:write
GET /networks/{networkId}/appliance/trafficShaping/customPerformanceClasses
List all custom performance classes for an MX network
> getNetworkApplianceTrafficShapingCustomPerformanceClasses
networkId `` customPerformanceClassId, maxJitter, maxLatency, maxLossPercentage, name sdwan:config:read
POST /networks/{networkId}/appliance/trafficShaping/customPerformanceClasses
Add a custom performance class for an MX network
> createNetworkApplianceTrafficShapingCustomPerformanceClass
networkId maxJitter, maxLatency, maxLossPercentage, name customPerformanceClassId, maxJitter, maxLatency, maxLossPercentage, name sdwan:config:write
GET /networks/{networkId}/appliance/trafficShaping/customPerformanceClasses/{customPerformanceClassId}
Return a custom performance class for an MX network
> getNetworkApplianceTrafficShapingCustomPerformanceClass
networkId, customPerformanceClassId `` customPerformanceClassId, maxJitter, maxLatency, maxLossPercentage, name sdwan:config:read
PUT /networks/{networkId}/appliance/trafficShaping/customPerformanceClasses/{customPerformanceClassId}
Update a custom performance class for an MX network
> updateNetworkApplianceTrafficShapingCustomPerformanceClass
networkId, customPerformanceClassId maxJitter, maxLatency, maxLossPercentage, name customPerformanceClassId, maxJitter, maxLatency, maxLossPercentage, name sdwan:config:write
DELETE /networks/{networkId}/appliance/trafficShaping/customPerformanceClasses/{customPerformanceClassId}
Delete a custom performance class from an MX network
> deleteNetworkApplianceTrafficShapingCustomPerformanceClass
networkId, customPerformanceClassId `` `` sdwan:config:write
PUT /networks/{networkId}/appliance/trafficShaping/rules
Update the traffic shaping settings rules for a Security Appliance or Secure Router network
> updateNetworkApplianceTrafficShapingRules
networkId bandwidthLimits, defaultRulesEnabled, definitions, dscpTagValue, limitDown, limitUp, perClientBandwidthLimits, priority, rules, settings, type, value bandwidthLimits, defaultRulesEnabled, definitions, dscpTagValue, limitDown, limitUp, perClientBandwidthLimits, priority, rules, settings, type, value sdwan:config:write
GET /networks/{networkId}/appliance/trafficShaping/rules
Display the traffic shaping settings rules for a Security Appliance or Secure Router network
> getNetworkApplianceTrafficShapingRules
networkId `` bandwidthLimits, defaultRulesEnabled, definitions, dscpTagValue, limitDown, limitUp, perClientBandwidthLimits, priority, rules, settings, type, value sdwan:config:read
GET /networks/{networkId}/appliance/trafficShaping/uplinkBandwidth
Returns the uplink bandwidth limits for your MX network
> getNetworkApplianceTrafficShapingUplinkBandwidth
networkId `` bandwidthLimits, cellular, limitDown, limitUp, wan1, wan2 sdwan:config:read
PUT /networks/{networkId}/appliance/trafficShaping/uplinkBandwidth
Updates the uplink bandwidth settings for your MX network.
> updateNetworkApplianceTrafficShapingUplinkBandwidth
networkId bandwidthLimits, cellular, limitDown, limitUp, wan1, wan2 bandwidthLimits, cellular, limitDown, limitUp, wan1, wan2 sdwan:config:write
GET /networks/{networkId}/appliance/trafficShaping/uplinkSelection
Show uplink selection settings for an MX network
> getNetworkApplianceTrafficShapingUplinkSelection
networkId `` activeActiveAutoVpnEnabled, applications, builtinPerformanceClassName, cidr, customPerformanceClassId, defaultUplink, destination, enabled, failOverCriterion, failoverAndFailback, fqdn, host, id, immediate, loadBalancingEnabled, name, network, performanceClass, port, preferredUplink, protocol, source, trafficFilters, type, value, vlan, vpnTrafficUplinkPreferences, vrf, wanTrafficUplinkPreferences sdwan:config:read
PUT /networks/{networkId}/appliance/trafficShaping/uplinkSelection
Update uplink selection settings for an MX network
> updateNetworkApplianceTrafficShapingUplinkSelection
networkId activeActiveAutoVpnEnabled, builtinPerformanceClassName, cidr, customPerformanceClassId, defaultUplink, destination, enabled, failOverCriterion, failoverAndFailback, fqdn, host, id, immediate, loadBalancingEnabled, network, performanceClass, port, preferredUplink, protocol, source, trafficFilters, type, value, vlan, vpnTrafficUplinkPreferences, vrf, wanTrafficUplinkPreferences activeActiveAutoVpnEnabled, applications, builtinPerformanceClassName, cidr, customPerformanceClassId, defaultUplink, destination, enabled, failOverCriterion, failoverAndFailback, fqdn, host, id, immediate, loadBalancingEnabled, name, network, performanceClass, port, preferredUplink, protocol, source, trafficFilters, type, value, vlan, vpnTrafficUplinkPreferences, vrf, wanTrafficUplinkPreferences sdwan:config:write
PUT /networks/{networkId}/appliance/trafficShaping/vpnExclusions
Update VPN exclusion rules for an MX network.
> updateNetworkApplianceTrafficShapingVpnExclusions
networkId applications, cidr, custom, destination, id, majorApplications, name, port, protocol, source, vlanId applications, cidr, custom, destination, id, majorApplications, name, networkId, networkName, port, protocol, source, vlanId sdwan:config:write
POST /networks/{networkId}/appliance/umbrella/account/connect
Connect a Cisco Umbrella account to this network
> connectNetworkApplianceUmbrellaAccount
networkId api, key, secret id, organization, umbrella ``
POST /networks/{networkId}/appliance/umbrella/account/disconnect
Disconnect Umbrella account from this network
> disconnectNetworkApplianceUmbrellaAccount
networkId `` `` ``
DELETE /networks/{networkId}/appliance/umbrella/disableProtection
Disable umbrella protection for an MX network (DEPRECATED)
> disableNetworkApplianceUmbrellaProtection
networkId `` message, success ``
PUT /networks/{networkId}/appliance/umbrella/domains/exclusions
Specify one or more domain names to be excluded from being routed to Cisco Umbrella.
> exclusionsNetworkApplianceUmbrellaDomains
networkId domains domains ``
POST /networks/{networkId}/appliance/umbrella/enableProtection
Enable umbrella protection for an MX network (DEPRECATED)
> enableNetworkApplianceUmbrellaProtection
networkId `` enabled, id, organization, origin, umbrella ``
PUT /networks/{networkId}/appliance/umbrella/policies
Update umbrella policies applied to MX network. (DEPRECATED)
> policiesNetworkApplianceUmbrella
networkId policyIds message, success ``
POST /networks/{networkId}/appliance/umbrella/policies/add
Add one Cisco Umbrella DNS security policy to an MX network by policy ID
> addNetworkApplianceUmbrellaPolicies
networkId id, policy id, network, policies ``
POST /networks/{networkId}/appliance/umbrella/policies/remove
Remove one Cisco Umbrella DNS security policy from an MX network by policy ID
> removeNetworkApplianceUmbrellaPolicies
networkId id, policy `` ``
PUT /networks/{networkId}/appliance/umbrella/protection
Enable or disable umbrella protection for an appliance network
> protectionNetworkApplianceUmbrella
networkId enabled enabled, id, organization, origin, umbrella ``
PUT /networks/{networkId}/appliance/uplinks/nat
Update uplink NAT settings of the specified network
> updateNetworkApplianceUplinksNat
networkId enabled, interface, nat, uplinks enabled, interface, nat, uplinks ``
GET /networks/{networkId}/appliance/uplinks/usageHistory
Get the sent and received bytes for each uplink of a network.
> getNetworkApplianceUplinksUsageHistory
networkId, t0, t1, timespan, resolution `` byInterface, endTime, interface, received, sent, startTime sdwan:telemetry:read
GET /networks/{networkId}/appliance/vlans
List the VLANs for a Security Appliance network
> getNetworkApplianceVlans
networkId `` adaptivePolicyGroupId, applianceIp, autonomous, cidr, code, comment, dhcpBootFilename, dhcpBootNextServer, dhcpBootOptionsEnabled, dhcpHandling, dhcpLeaseTime, dhcpOptions, dhcpRelayServerIps, dnsNameservers, enabled, end, fixedIpAssignments, groupPolicyId, id, interfaceId, interfaces, ipv6, mandatoryDhcp, mask, name, origin, prefixAssignments, reservedIpRanges, sgt, start, staticApplianceIp6, staticPrefix, subnet, templateVlanType, type, value, vpnNatSubnet, vrf sdwan:config:read
POST /networks/{networkId}/appliance/vlans
Add a VLAN
> createNetworkApplianceVlan
networkId adaptivePolicyGroupId, applianceIp, autonomous, cidr, code, dhcpBootFilename, dhcpBootNextServer, dhcpBootOptionsEnabled, dhcpHandling, dhcpLeaseTime, dhcpOptions, dhcpRelayServerIps, disabled, enabled, groupPolicyId, id, interface, interfaces, ipv6, mandatoryDhcp, mask, name, nat, origin, prefixAssignments, sgt, staticApplianceIp6, staticPrefix, subnet, templateVlanType, type, uplinks, value, vrf adaptivePolicyGroupId, applianceIp, autonomous, cidr, enabled, groupPolicyId, id, interfaceId, interfaces, ipv6, mandatoryDhcp, mask, name, origin, prefixAssignments, sgt, staticApplianceIp6, staticPrefix, subnet, templateVlanType, type, vrf sdwan:config:write
GET /networks/{networkId}/appliance/vlans/settings
Returns the enabled status of VLANs for the network
> getNetworkApplianceVlansSettings
networkId `` vlansEnabled sdwan:config:read
PUT /networks/{networkId}/appliance/vlans/settings
Enable/Disable VLANs for the given network
> updateNetworkApplianceVlansSettings
networkId vlansEnabled vlansEnabled sdwan:config:write
GET /networks/{networkId}/appliance/vlans/{vlanId}
Return a VLAN
> getNetworkApplianceVlan
networkId, vlanId `` adaptivePolicyGroupId, applianceIp, autonomous, cidr, code, comment, dhcpBootFilename, dhcpBootNextServer, dhcpBootOptionsEnabled, dhcpHandling, dhcpLeaseTime, dhcpOptions, dhcpRelayServerIps, dnsNameservers, enabled, end, fixedIpAssignments, groupPolicyId, id, interfaceId, interfaces, ipv6, mandatoryDhcp, mask, name, origin, prefixAssignments, reservedIpRanges, sgt, start, staticApplianceIp6, staticPrefix, subnet, templateVlanType, type, value, vpnNatSubnet, vrf sdwan:config:read
PUT /networks/{networkId}/appliance/vlans/{vlanId}
Update a VLAN
> updateNetworkApplianceVlan
networkId, vlanId adaptivePolicyGroupId, applianceIp, autonomous, cidr, code, comment, dhcpBootFilename, dhcpBootNextServer, dhcpBootOptionsEnabled, dhcpHandling, dhcpLeaseTime, dhcpOptions, dhcpRelayServerIps, dnsNameservers, enabled, end, fixedIpAssignments, groupPolicyId, id, interface, interfaces, ipv6, mandatoryDhcp, mask, name, nat, origin, prefixAssignments, reservedIpRanges, sgt, start, staticApplianceIp6, staticPrefix, subnet, templateVlanType, type, uplinks, value, vpnNatSubnet, vrf adaptivePolicyGroupId, applianceIp, autonomous, cidr, code, comment, dhcpBootFilename, dhcpBootNextServer, dhcpBootOptionsEnabled, dhcpHandling, dhcpLeaseTime, dhcpOptions, dhcpRelayServerIps, dnsNameservers, enabled, end, fixedIpAssignments, groupPolicyId, id, interfaceId, interfaces, ipv6, mandatoryDhcp, mask, name, origin, prefixAssignments, reservedIpRanges, sgt, start, staticApplianceIp6, staticPrefix, subnet, templateVlanType, type, value, vpnNatSubnet, vrf sdwan:config:write
DELETE /networks/{networkId}/appliance/vlans/{vlanId}
Delete a VLAN from a network
> deleteNetworkApplianceVlan
networkId, vlanId `` `` sdwan:config:write
GET /networks/{networkId}/appliance/vpn/bgp
Return a Hub BGP Configuration
> getNetworkApplianceVpnBgp
networkId `` address, allowTransit, asNumber, authentication, communityOut, ebgpHoldTimer, ebgpMultihop, enabled, explicitOutboundRouteAdvertisement, filter, filterIn, ibgpHoldTimer, id, ip, ipv6, localAsNumber, multiExitDiscriminator, name, neighbors, nextHopIp, out, password, pathPrepend, priorityRoute, receiveLimit, remoteAsNumber, routerId, singlePeering, sourceInterface, ttlSecurity, tunnelDownTermination, vrf, weight sdwan:config:read
PUT /networks/{networkId}/appliance/vpn/bgp
Update a Hub BGP Configuration
> updateNetworkApplianceVpnBgp
networkId address, allowTransit, asNumber, authentication, communityOut, ebgpHoldTimer, ebgpMultihop, enabled, explicitOutboundRouteAdvertisement, filter, filterIn, ibgpHoldTimer, ip, ipv6, localAsNumber, multiExitDiscriminator, neighbors, nextHopIp, out, password, pathPrepend, priorityRoute, receiveLimit, remoteAsNumber, routerId, singlePeering, sourceInterface, ttlSecurity, tunnelDownTermination, weight address, allowTransit, asNumber, authentication, communityOut, ebgpHoldTimer, ebgpMultihop, enabled, explicitOutboundRouteAdvertisement, filter, filterIn, ibgpHoldTimer, id, ip, ipv6, localAsNumber, multiExitDiscriminator, name, neighbors, nextHopIp, out, password, pathPrepend, priorityRoute, receiveLimit, remoteAsNumber, routerId, singlePeering, sourceInterface, ttlSecurity, tunnelDownTermination, vrf, weight sdwan:config:write
PUT /networks/{networkId}/appliance/vpn/siteToSite/hubs/{hubNetworkId}/vrfs
Update the VRF mappings for a source network and hub pair. (BETA)
> updateNetworkApplianceVpnSiteToSiteHubVrfs
networkId, hubNetworkId _json, id id, name sdwan:config:write
GET /networks/{networkId}/appliance/vpn/siteToSiteVpn
Return the site-to-site VPN settings of a network
> getNetworkApplianceVpnSiteToSiteVpn
networkId `` address, enabled, hostTranslations, hubId, hubs, id, isAllowed, local, localSubnet, mode, name, nat, peerSgtCapable, remote, remoteSubnet, sgt, subnet, subnets, useDefaultRoute, useVpn, vrfs sdwan:config:read
PUT /networks/{networkId}/appliance/vpn/siteToSiteVpn
Update the site-to-site VPN settings of a network
> updateNetworkApplianceVpnSiteToSiteVpn
networkId address, enabled, hostTranslations, hubId, hubs, isAllowed, local, localSubnet, mode, name, nat, peerSgtCapable, remote, remoteSubnet, sgt, subnet, subnets, useDefaultRoute, useVpn address, enabled, hostTranslations, hubId, hubs, id, isAllowed, local, localSubnet, mode, name, nat, peerSgtCapable, remote, remoteSubnet, sgt, subnet, subnets, useDefaultRoute, useVpn, vrfs sdwan:config:write
GET /networks/{networkId}/appliance/warmSpare
Return MX warm spare settings
> getNetworkApplianceWarmSpare
networkId `` enabled, ip, primarySerial, spareSerial, subnet, uplinkMode, wan1, wan2 sdwan:config:read
PUT /networks/{networkId}/appliance/warmSpare
Update MX warm spare settings
> updateNetworkApplianceWarmSpare
networkId enabled, spareSerial, uplinkMode, virtualIp1, virtualIp2 enabled, ip, primarySerial, spareSerial, subnet, uplinkMode, wan1, wan2 sdwan:config:write
POST /networks/{networkId}/appliance/warmSpare/swap
Swap MX primary and warm spare appliances
> swapNetworkApplianceWarmSpare
networkId `` enabled, ip, primarySerial, spareSerial, subnet, uplinkMode, wan1, wan2 sdwan:config:write
POST /networks/{networkId}/bind
Bind a network to a template.
> bindNetwork
networkId autoBind, configTemplateId configTemplateId, enrollmentString, id, isBoundToConfigTemplate, name, notes, organizationId, productTypes, tags, timeZone, url dashboard:general:config:write
GET /networks/{networkId}/bluetoothClients
List the Bluetooth clients seen by APs in this network
> getNetworkBluetoothClients
networkId, t0, timespan, perPage, startingAfter, endingBefore, includeConnectivityHistory `` deviceName, id, inSightAlert, lastSeen, mac, manufacturer, name, networkId, outOfSightAlert, seenByDeviceMac, tags wireless:telemetry:read
GET /networks/{networkId}/bluetoothClients/{bluetoothClientId}
Return a Bluetooth client
> getNetworkBluetoothClient
networkId, bluetoothClientId, includeConnectivityHistory, connectivityHistoryTimespan `` deviceName, id, inSightAlert, lastSeen, mac, manufacturer, name, networkId, outOfSightAlert, seenByDeviceMac, tags wireless:telemetry:read
GET /networks/{networkId}/camera/qualityRetentionProfiles
List the quality retention profiles for this network
> getNetworkCameraQualityRetentionProfiles
networkId `` audioRecordingEnabled, axisVideoQuality, cloudArchiveEnabled, enabled, id, maxRetentionDays, motionBasedRetentionEnabled, motionDetectorVersion, name, networkId, restrictedBandwidthModeEnabled, scheduleId, smartRetention, videoSettings camera:config:read
POST /networks/{networkId}/camera/qualityRetentionProfiles
Creates new quality retention profile for this network.
> createNetworkCameraQualityRetentionProfile
networkId MV12/MV22/MV72, MV12WE, MV13, MV13M, MV21/MV71, MV22X/MV72X, MV23, MV23M, MV23X, MV32, MV33, MV33M, MV44X, MV52, MV53X, MV63, MV63M, MV63X, MV73, MV73M, MV73X, MV84X, MV93, MV93M, MV93X, audioRecordingEnabled, cloudArchiveEnabled, enabled, maxRetentionDays, motionBasedRetentionEnabled, motionDetectorVersion, name, quality, resolution, restrictedBandwidthModeEnabled, scheduleId, smartRetention, videoSettings audioRecordingEnabled, axisVideoQuality, cloudArchiveEnabled, enabled, id, maxRetentionDays, motionBasedRetentionEnabled, motionDetectorVersion, name, networkId, restrictedBandwidthModeEnabled, scheduleId, smartRetention, videoSettings camera:config:write
GET /networks/{networkId}/camera/qualityRetentionProfiles/{qualityRetentionProfileId}
Retrieve a single quality retention profile
> getNetworkCameraQualityRetentionProfile
networkId, qualityRetentionProfileId `` audioRecordingEnabled, axisVideoQuality, cloudArchiveEnabled, enabled, id, maxRetentionDays, motionBasedRetentionEnabled, motionDetectorVersion, name, networkId, restrictedBandwidthModeEnabled, scheduleId, smartRetention, videoSettings camera:config:read
PUT /networks/{networkId}/camera/qualityRetentionProfiles/{qualityRetentionProfileId}
Update an existing quality retention profile for this network.
> updateNetworkCameraQualityRetentionProfile
networkId, qualityRetentionProfileId MV12/MV22/MV72, MV12WE, MV13, MV13M, MV21/MV71, MV22X/MV72X, MV23, MV23M, MV23X, MV32, MV33, MV33M, MV44X, MV52, MV53X, MV63, MV63M, MV63X, MV73, MV73M, MV73X, MV84X, MV93, MV93M, MV93X, audioRecordingEnabled, cloudArchiveEnabled, enabled, maxRetentionDays, motionBasedRetentionEnabled, motionDetectorVersion, name, quality, resolution, restrictedBandwidthModeEnabled, scheduleId, smartRetention, videoSettings audioRecordingEnabled, axisVideoQuality, cloudArchiveEnabled, enabled, id, maxRetentionDays, motionBasedRetentionEnabled, motionDetectorVersion, name, networkId, restrictedBandwidthModeEnabled, scheduleId, smartRetention, videoSettings camera:config:write
DELETE /networks/{networkId}/camera/qualityRetentionProfiles/{qualityRetentionProfileId}
Delete an existing quality retention profile for this network.
> deleteNetworkCameraQualityRetentionProfile
networkId, qualityRetentionProfileId `` `` camera:config:write
GET /networks/{networkId}/camera/schedules
Returns a list of all camera recording schedules.
> getNetworkCameraSchedules
networkId `` id, name camera:config:read
POST /networks/{networkId}/camera/videoWalls
Create a new video wall. (BETA)
> createNetworkCameraVideoWall
networkId height, imagerId, index, name, phi, theta, tiles, width, x, y height, id, imagerId, index, name, phi, serial, theta, tiles, width, x, y ``
PUT /networks/{networkId}/camera/videoWalls/{id}
Update the specified video wall. (BETA)
> updateNetworkCameraVideoWall
networkId, id height, imagerId, index, name, phi, theta, tiles, width, x, y height, id, imagerId, index, name, phi, serial, theta, tiles, width, x, y ``
DELETE /networks/{networkId}/camera/videoWalls/{id}
Delete the specified video wall. (BETA)
> deleteNetworkCameraVideoWall
networkId, id `` `` ``
POST /networks/{networkId}/camera/wirelessProfiles
Creates a new camera wireless profile for this network.
> createNetworkCameraWirelessProfile
networkId authMode, encryptionMode, identity, name, password, psk, ssid, username appliedDeviceCount, authMode, encryptionMode, id, identity, name, password, psk, ssid, username camera:config:write
GET /networks/{networkId}/camera/wirelessProfiles
List the camera wireless profiles for this network.
> getNetworkCameraWirelessProfiles
networkId `` appliedDeviceCount, authMode, encryptionMode, id, identity, name, password, psk, ssid, username camera:config:read
GET /networks/{networkId}/camera/wirelessProfiles/{wirelessProfileId}
Retrieve a single camera wireless profile.
> getNetworkCameraWirelessProfile
networkId, wirelessProfileId `` appliedDeviceCount, authMode, encryptionMode, id, identity, name, password, psk, ssid, username camera:config:read
PUT /networks/{networkId}/camera/wirelessProfiles/{wirelessProfileId}
Update an existing camera wireless profile in this network.
> updateNetworkCameraWirelessProfile
networkId, wirelessProfileId authMode, encryptionMode, identity, name, password, psk, ssid, username appliedDeviceCount, authMode, encryptionMode, id, identity, name, password, psk, ssid, username camera:config:write
DELETE /networks/{networkId}/camera/wirelessProfiles/{wirelessProfileId}
Delete an existing camera wireless profile for this network.
> deleteNetworkCameraWirelessProfile
networkId, wirelessProfileId `` `` camera:config:write
POST /networks/{networkId}/campusGateway/clusters
Create a cluster and add campus gateways to it
> createNetworkCampusGatewayCluster
networkId address, addresses, allowedVlans, assignmentMode, devices, gateway, interface, name, nameservers, notes, portChannels, protocol, serial, subnetMask, tunnels, uplink, uplinks, vlan address, addresses, allowedVlans, assignmentMode, clusterId, devices, gateway, id, interface, memberId, name, nameservers, notes, portChannels, protocol, serial, subnetMask, tunnels, uplink, uplinks, url, vlan ``
PUT /networks/{networkId}/campusGateway/clusters/{clusterId}
Update a cluster and add/remove campus gateways to/from it
> updateNetworkCampusGatewayCluster
networkId, clusterId address, addresses, allowedVlans, assignmentMode, devices, gateway, interface, name, nameservers, notes, portChannels, protocol, serial, subnetMask, tunnels, uplink, uplinks, vlan address, addresses, allowedVlans, assignmentMode, clusterId, devices, gateway, id, interface, memberId, name, nameservers, notes, portChannels, protocol, serial, subnetMask, tunnels, uplink, uplinks, url, vlan ``
DELETE /networks/{networkId}/campusGateway/clusters/{clusterId}
Delete a cluster
> deleteNetworkCampusGatewayCluster
networkId, clusterId `` `` ``
GET /networks/{networkId}/campusGateway/ssids/{number}/mdns
List the currently configured mDNS settings for the SSID (BETA)
> getNetworkCampusGatewaySsidMdns
networkId, number `` enabled, rules, services ``
PUT /networks/{networkId}/campusGateway/ssids/{number}/mdns
Update the mDNS gateway settings and rules for a SSID and cluster
> updateNetworkCampusGatewaySsidMdns
[...]
